<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt3" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" xmlns:tei="http://www.tei-c.org/ns/1.0">
	<ns prefix="tei" uri="http://www.tei-c.org/ns/1.0"/>
	<!--Qualitätskontrolle für die Rhodoman-Transkriptionen und Register-->
	<!--erstellt und gepflegt von Jennifer Bunselmeier (2022)-->
	<!--
TODO:
- titleStmt/title type=file nur lat. Buchstaben
- evtl. prüfen, dass ID und Int. Kürzel übereinstimmen [Achtung: Punkt am Ende beachten und Ausgabe der Zahl abwarten/berücksichtigen]
-->
	<!--..........................................-->
	<!--Globale Variablen-->
	<!--..........................................-->
	<let name="QMMeta" value="/tei:TEI[descendant::tei:change[@type = 'readyForQMMeta']]"/>
	<let name="QMTrans" value="/tei:TEI[descendant::tei:change[@type = 'readyForQMTrans']]"/>
	<let name="PublMeta" value="/tei:TEI[descendant::tei:change[@type = 'readyForPublicationMeta']]"/>
	<let name="PublTrans" value="/tei:TEI[descendant::tei:change[@type = 'readyForPublicationTrans']]"/>
	<let name="hasSimilia" value="/tei:TEI[descendant::tei:change[@type = 'hasSimilia']]"/>
	<let name="creativePeriodContent" value="('Ilfelder Periode', 'Harburger Periode', 'Rostocker Periode', 'Schweriner Periode', 'Lüneburger Periode', 'Walkenrieder Periode', 'Jenaer Periode', 'Stralsunder Periode', 'Wittenberger Periode')"/>
	<let name="workPurposeContent" value="('Hauptwerk', 'Paratext', 'Private Kommunikation', 'Gelegenheitsdichtung')"/>
	<let name="literaryGenreContent" value="('Epos/Epyllion', 'Lehrgedicht', 'Panegyrisches Gedicht/Lobgedicht auf Personen', 'Lutherdichtung', 'Kulturgedicht (im Sinne der Reformation)', 'Totengedicht (mit jeweiligem Individualtitel)', 'Konsolatorisches Gedicht', 'Genesungsgedicht bzw. Dankgedicht zur Genesung', 'Hochzeitsgedicht', 'Geburtstagsgedicht', 'Glückwunschgedicht', 'Festgedicht', 'Dankgedicht', 'Abschiedsgedicht', 'Freundschaftsgesuch und Freundschaftsgedicht', 'Poetologisches Gedicht', 'Reisegedicht', 'Briefgedicht', 'Autobiographisches Gedicht', 'Beitragsgedicht', 'Widmungsgedicht', 'Funktionsgedicht von Universitätslehrern', 'Protreptisches Gedicht für Lernende', 'Paratext zu antiken Texten (Hypotheseis o.ä.)', 'Übersetzungsdichtung in bez. auf antike Autoren/klassische Texte', 'Anagramm', 'Kirchenlied', 'Bukolik', 'Brief (Prosa)')"/>
	<let name="autographContent" value="('Autograph', 'Abschrift')"/>
	<let name="respNames" value="('Stefan Weise', 'Thomas Gärtner', 'Jennifer Bunselmeier', 'Karen Lelittka', 'Christopher Loga')"/>
	<let name="simQualifier" value="('cf', 'de_re_cf', 'sim', 'eq', 'undefined')"/>
	<let name="rhodTitles" value="'Rhod\.|Arg\.|Arion\.|Asp\.|Biop\.|Inscr\.Burgg\.|Carm\.|Carst\.|Coc\.Ion\.|Crus\.Turc\.|Dion\.praef\.|Inscr\.Ann\.|Ep\.Crus\.|Inscr\.Elisab\.|Ep\.Mau\.|Inscr\.Myl\.|Inscr\.Reusch\.|Inscr\.Seul\.|Inscr\.Volc\.iun\.|Inscr\.Volc\.|Fisch\.|Frei\.|Gerst\.|Goth\.|Hist\.eccl\.|Hym\.Schol\.|Il\.parv\.|Il\.parv\.Hom\.|Il\.parv\.Quint\.|Ilf\.Herc\.|It\.Lips\.|Luth\.|Luth\.Dor\.|Luth\.epist\.|Mau\.|Mithr\.|Moll\.|Monav\.|Nupt\.Cas\.|Par\.Chytr\.|Phil\.Rein\.|Protr\.|Quint\.Per\.|Quint\.praef\.|Ranz\.|Steinm\.|Thal\.|Theb\.|Theol\.Christ\.|Tro\.|Vat\.Ner\.|Westph\.|Voll\.Ilf\.'"/>
	<let name="xmlFileNames" value="('Rhod.Tro.2.xml', 'Rhod.Arion.xml', 'Epist.1570-10-11.Rhod.Westph.xml', 'Epist.1571-09-07.Chytr.Joh-Alb.xml', 'Epist.1579.Chytr.Rhod.xml', 'Epist.1582-04-13.Rhod.Neand.xml', 'Epist.1583-01-26.Rhod.Crus.xml', 'Epist.1587-03-28.Rhod.Sidelm.xml', 'Epist.1587-08-14.Neand.Rhod.xml', 'Epist.1588-05-09.Rhod.Frisch.xml', 'Epist.1590-01-10.Chytr.Rhod.xml', 'Epist.1603-10-06.Rhod.anon.xml', 'Epist.1605-09-01.Rhod.Scal.xml', 'Frei.Eleg.xml', 'Goth.Rhod.xml', 'Mau.Rhod.xml', 'Rhod.Arg.xml', 'Rhod.Asp.xml', 'Rhod.Biop.xml', 'Rhod.Crus.Turc.xml', 'Rhod.Dion.praef.xml', 'Rhod.Ep.Mau.xml', 'Rhod.Fisch.xml', 'Rhod.Frei.xml', 'Rhod.Gerst.xml', 'Rhod.Goth.xml', 'Rhod.Hist.eccl.xml', 'Rhod.Hym.Schol.xml', 'Rhod.Il.parv.xml', 'Rhod.Ilf.Herc.xml', 'Rhod.Inscr.Ann.xml', 'Rhod.Inscr.Burgg.xml', 'Rhod.Inscr.Elisab.xml', 'Rhod.Inscr.Myl.xml', 'Rhod.Inscr.Reusch.xml', 'Rhod.Inscr.Seul.xml', 'Rhod.Inscr.Volc.iun.xml', 'Rhod.Inscr.Volc.xml', 'Rhod.It.Lips.xml', 'Rhod.Luth.Dor.xml', 'Rhod.Luth.epist.xml', 'Rhod.Mau.xml', 'Rhod.Mithr.xml', 'Rhod.Moll.xml', 'Rhod.Nupt.Cas.xml', 'Rhod.Par.Chytr.xml', 'Rhod.Phil.Rein.xml', 'Rhod.Protr.xml', 'Rhod.Quint.praef.xml', 'Rhod.Steinm.xml', 'Rhod.Thal.xml', 'Rhod.Theb.xml', 'Rhod.Theol.Christ.xml', 'Rhod.Tro.xml', 'Rhod.Vat.Ner.xml', 'Voll.Ilf.xml', 'Rhod.Westph.xml', 'Rhod.Ep.Crus.1.xml', 'Rhod.Ep.Crus.2.xml', 'Rhod.Ep.Crus.3.xml', 'Rhod.Monav.1.xml', 'Rhod.Carm.1-3.xml', 'Rhod.Carst.1-2.xml', 'Rhod.Coc.Ion.1-2.xml', 'Rhod.Il.parv.Hom.1-24.xml', 'Rhod.Il.parv.Quint.1-14.xml', 'Rhod.Luth.1-2.xml', 'Rhod.Quint.Per.1-3.xml', 'Rhod.Ranz.1-5.xml', 'Epist.1590-01-29.Cas.Rhod.xml', 'Epist.1601-02-27.Cas.Rhod.xml', 'Epist.1602-08-21.Scal.Rhod.xml', 'Epist.1602-11-17.Scal.Rhod.xml', 'Epist.1603-07-01.Rhod.Goth.xml', 'Epist.1603-08-10.Rhod.Kirchm.xml', 'Epist.1603-10-10.Rhod.Wilk.xml', 'Epist.1604-03-14.Scal.Rhod.xml', 'Epist.1604-11-20.Rhod.Leys.xml', 'Epist.1605-09-22.Cas.Rhod.xml', 'Epist.1605-10-05.Rhod.Kirchm.xml', 'Epist.1606-03-23.Scal.Rhod.xml', 'Epist.sa.Chytr.Rhod.xml', 'Rhod.Crat.xml', 'Rhod.Eckst.xml', 'Rhod.Frisch.Gramm.xml', 'Rhod.Grut.xml', 'Rhod.Iul.xml', 'Rhod.Magn.xml', 'Rhod.Mus.xml', 'Rhod.Pal.xml', 'Rhod.Petr.Pict.xml', 'Rhod.Poss.xml', 'Rhod.Schluss.Post.xml', 'Rhod.Schluss.xml', 'Rhod.Taub.Sched.xml', 'Rhod.Thren.Sax.xml', 'Rhod.Tir.xml', 'Rhod.Trias.xml', 'Rhod.Zam.xml')"/>
	<let name="listAuthorSingle" value="doc('../xml/statistics/uebersichtAutorenstellen.xml')//tei:list[@type = 'authorSingle']"/>
	<let name="listTitleSingle" value="doc('../xml/statistics/uebersichtAutorenstellen.xml')//tei:list[@type = 'titleSingle']"/>
	<let name="listAuthorTitle" value="doc('../xml/statistics/uebersichtAutorenstellen.xml')//tei:list[@type = 'author-title']"/>
	<let name="importVarTempPublishedWerkeMeta" value="document('../scripts/common/variables.xsl')//xsl:variable[@name = 'tempPublishedWerkeMeta']"/>
	<!--..........................................-->
	<!--Globale Keys-->
	<!--..........................................-->
	<xsl:key name="k-lineIDHash" match="//tei:l" use="concat('#', @xml:id)"><!--l/@xml:id (erweitert um #, zum Abgleich mit @corresp)--></xsl:key>
	<xsl:key name="k-quoteIDHash" match="//tei:quote" use="concat('#', @xml:id)"><!--quote/@xml:id (erweitert um #, zum Abgleich mit @corresp)--></xsl:key>
	<!--..........................................-->
	<!--Globale Message-Variablen-->
	<!--..........................................-->
	<diagnostics>
		<!--mEName: Name des rule-Elements ausgeben-->
		<diagnostic id="mEName">[<value-of select="name()"/>]</diagnostic>
		<!--mValues: Werteliste ausgeben ($values = Werteliste in Globalen Variablen s.o.; jew. in der rule aufgerufen)-->
		<diagnostic id="mValues">Erlaubte Werte: <value-of select="string-join($values, ', ')"/>.</diagnostic>
		<!--mJB: Meldung an JB ausgeben (Fehler evtl. aus word2tei-Transformation oder nur von JB behebbar)-->
		<diagnostic id="mJB">[An JB melden!]</diagnostic>
	</diagnostics>
	<!--..........................................-->
	<!--QickFixes-->
	<!--..........................................-->
	<sqf:fixes>
		<sqf:fix id="replaceMinus">
			<sqf:description>
				<sqf:title>Minus in Bis-Strich ändern</sqf:title>
			</sqf:description>
			<sqf:stringReplace match="text()" regex="\-(\d)?">
				<xsl:analyze-string select="." regex="\-(\d)?">
					<xsl:matching-substring>
						<xsl:value-of select="'‒' || regex-group(1)"/>
					</xsl:matching-substring>
					<xsl:non-matching-substring/>
				</xsl:analyze-string>
			</sqf:stringReplace>
		</sqf:fix>
		<sqf:fix id="deleteSpaceStart">
			<sqf:description>
				<sqf:title>Leerzeichen am Anfang löschen</sqf:title>
			</sqf:description>
			<sqf:stringReplace match="." regex="^\s+"/>
		</sqf:fix>
		<sqf:fix id="deleteSpaceEnd">
			<sqf:description>
				<sqf:title>Leerzeichen am Ende löschen</sqf:title>
			</sqf:description>
			<sqf:stringReplace match="." regex="\s+$"/>
		</sqf:fix>
	</sqf:fixes>
	<!--..........................................-->
	<!--Hauptskript-->
	<!--..........................................-->
	<pattern id="fileName">
		<rule context="/">
			<let name="fileName" value="substring-before(tokenize(document-uri(/), '/')[last()], '.xml')"/>
			<let name="fileID" value="tei:TEI/@xml:id"/>
			<assert test="$fileID = $fileName">Dateiname "<value-of select="$fileName"/>" und Datei-ID "<value-of select="$fileID"/>" stimmen nicht überein.</assert>
		</rule>
	</pattern>
	<!-- #############  Spatienprüfung erstmal ausgeblendet, da zu viele Fehlermeldungen bei SW (-> Oxygeneinstellung prüfen) ########## -->
	<!--<pattern id="spatienAnfang">
		<!-\-nur greifen, wenn auch Text im Element enthalten ist, nicht nur Spatien, die können vom Umbruch kommen und erzeugen zu viele Warnungen-\->
		<!-\-nur jeweils die erste/letzte text-node greifen, weil ein Element mehrere text-nodes enthalten kann und nicht bei allen Anfang/Ende gelöscht werden sollen-\->
		<!-\-getrennt abarbeiten, weil a) eine single text-node vorhanden sein kann (dann greift immer first() aber nie mehr last()/single) und b) diese sowohl am Anfang als auch am Ende Spatien haben kann-\->
		<!-\-
		nicht prüfen in: 
		- quote (ist zwar falsch, aber könnte relevantes Spatium enthalten)
		- note[similia]/seg (weil relevante Spatien)
		- note[crit] (weil könnte relevante Spatien enthalten oder nur von Einrückung bei lem kommen)
		-\->
		<rule context="tei:*[text()[matches(., '\S')]]/node()[1][self::text()]">
			<let name="name" value="parent::tei:*/name()"/>
			<report test="matches(., '^ ') and not(ancestor::tei:note[@type = 'similia' or @type = 'crit'] or parent::tei:quote)" role="warn" sqf:fix="deleteSpaceStart">Bitte prüfen: Spatium am Anfang des Elements "<value-of select="$name"/>" gefunden.</report>
		</rule>
	</pattern>-->
	<!--<pattern id="spatienEnde">
		<rule context="tei:*[text()[matches(., '\S')]]/node()[last()][self::text()]">
			<let name="name" value="parent::tei:*/name()"/>
			<report test="matches(., ' $') and not(ancestor::tei:note[@type = 'similia' or @type = 'crit'] or parent::tei:quote)" role="warn" sqf:fix="deleteSpaceEnd">Bitte prüfen: Spatium am Ende des Elements "<value-of select="$name"/>" gefunden.</report>
		</rule>
	</pattern>-->
	<pattern id="quoteInternal">
		<rule context="tei:title[@type = 'quoteInternal']">
			<let name="biblMs" value="/tei:TEI//tei:*[self::tei:biblStruct or self::tei:msDesc]"/>
			<let name="name" value="$biblMs/name()"/>
			<let name="sourceType" value="/tei:TEI//tei:sourceDesc/tei:*/name()"/>
			<let name="exceptions" value="('Frei.Eleg', 'Epist.1571-09-07.Chytr.Joh-Alb')"/>
			<!--Sicherstellen, dass Rhodoman entweder als Autor oder als Titel vorkommt (ausngenommen Arion und Frei.Eleg.)-->
			<report test="not(/tei:TEI/@xml:id = $exceptions) and not(tei:name[matches(., '^Rhod\.$')] or tei:title[matches(., '^Rhod\.$')])" role="warn">Bitte prüfen: "Rhod." fehlt - entweder als Autor/Sender/Empfänger (default) oder als Titel (falls Autor nicht Rhod.).</report>
			<!--Bei Briefen darauf achten, dass der Titel im Int.Kürzel "Epist." lautet und in biblStruct oder msDesc @subtype=letter vergeben ist-->
			<report test="tei:title[matches(., '^Epist\.$')] and not($biblMs/@subtype = 'letter')" role="error" diagnostics="mJB">Im Int. Kürzel wurde "Epist." (Brief) vergeben, aber in <value-of select="$name"/> fehlt der Subtyp "Brief".</report>
			<report test="not(tei:title[matches(., '^Epist\.$')]) and $biblMs/@subtype = 'letter'" role="error" diagnostics="mJB">Einheit wurde als Subtyp "Brief" markiert (in <value-of select="$name"/>), aber im Int. Kürzel fehlt der Titel "Epist.".</report>
			<report test="tei:title[matches(., '^Inscr\.')] and not($sourceType = 'listObject')" role="error" diagnostics="mJB">Im Int. Kürzel wurde "Inscr." (Inschrift) vergeben, aber sourceDesc ist "<value-of select="$sourceType"/>", nicht "listObject".</report>
			<report test="not(tei:title[matches(., '^Inscr\.')]) and $sourceType = 'listObject'" role="error" diagnostics="mJB">SourceDesc wurde als "listObject" markiert, aber im Int. Kürzel fehlt der Titel "Inscr.".</report>
			<assert test="string(@sameAs)" role="error" diagnostics="mJB">Im Int. Kürzel fehlt @sameAs.</assert>
		</rule>
	</pattern>
	<pattern id="quoteInternal2">
		<rule context="tei:title[@type = 'quoteInternal']/tei:*">
			<let name="reg1" value="'^\d{4}(-\d{2})?(-\d{2})?\.$'"/>
			<let name="reg2" value="'^sa(-\d{2})?(-\d{2})?\.$'"/>
			<let name="exceptions" value="('Rhod.Arion')"/>
			<report test="self::tei:title and matches(., '\. [a-zA-Z]')" role="warn">Bitte prüfen: Spatium gefunden zwischen Punkt und Buchstabe (normalerweise wird hier kein Spatium gesetzt).</report>
			<report test="self::tei:title and matches(., '\.\d')" role="warn">Bitte prüfen: Zahl folgt ohne Spatium auf einen Punkt (normalerweise wird hier ein Spatium gesetzt).</report>
			<report test="self::tei:date and not(matches(., $reg1) or matches(., $reg2))" role="error">Fehler im Datumsformat und/oder Punkt am Ende fehlt (erwartet: 0000-00-00. | 0000-00. | 0000. | sa-00-00. | sa-00. | sa.).</report>
			<report test="not(/tei:TEI/@xml:id = $exceptions) and not(matches(., '\.$') or matches(., '\d$'))" role="warn">Bitte prüfen: Angabe muss mit Punkt oder Zahl enden (Ausnahme ausgeschriebene Namen/Titel).</report>
		</rule>
	</pattern>
	<pattern id="anon">
		<rule abstract="true" id="compareRsQuoteInternal">
			<let name="quotInternalAnon" value="/tei:TEI//tei:title[@type = 'quoteInternal']/tei:name[@type eq $nameType][contains(., 'anon.')]"/>
			<!--Briefe: wenn Sender/Empfänger im Int.Kürzel als "anon." gekennzeichnet sind, darf in correspAction keine Indexreferenz vergeben sein (und umgekehrt)-->
			<report test="string(tei:rs/@ref) and $quotInternalAnon" role="error"><value-of select="$nameType"/>-ID vergeben (<value-of select="tei:rs/@ref"/>), aber im Int. Kürzel als "anon." angegeben. <value-of select="$quotInternalAnon"/></report>
			<report test="not(string(tei:rs/@ref)) and not($quotInternalAnon)" role="error">Keine <value-of select="$nameType"/>-ID vergeben, aber im Int. Kürzel als "<value-of select="/tei:TEI//tei:title[@type = 'quoteInternal']/tei:name[@type eq $nameType]"/>" angegeben (nicht "anon.").</report>
		</rule>
		<rule context="tei:correspAction[@type = 'sent']">
			<let name="nameType" value="'sender'"/>
			<extends rule="compareRsQuoteInternal"/>
		</rule>
		<rule context="tei:correspAction[@type = 'received']">
			<let name="nameType" value="'recipient'"/>
			<extends rule="compareRsQuoteInternal"/>
		</rule>
	</pattern>
	<pattern id="idno">
		<rule context="tei:biblStruct/tei:idno">
			<report test="not(string())" role="error">VD 16/17/18 Nr. fehlt. Falls es keine gibt, bitte das Feld über den Button löschen.</report>
			<report test="string() and starts-with(., 'VD')" role="error">VD16/17/18 Nummer nur als Nummer angeben, ohne einleitendes "VD 16".</report>
			<report test="string() and not(matches(., '\d'))" role="error">VD16/17/18 Nummer muss Zahlen enthalten. Nicht "deest" schreiben > dann Feld löschen.</report>
		</rule>
		<rule context="tei:object/tei:additional/tei:idno">
			<report test="not(string())" role="warn">Bitte prüfen: Feld nur leer lassen, wenn es keine DI Nr. gibt.</report>
			<report test="string() and not(matches(., '^Bd\. \d+, Nr\. \d+$'))" role="error">Fehler im DI-Format ("Bd. 0, Nr. 0").</report>
			<report test="string() and not(parent::tei:additional[tei:ref[@subtype = 'di'][string(@target)]])" subject="parent::tei:additional/tei:ref">DI-Nr. angegeben, aber Link zum DI-Datensatz fehlt.</report>
		</rule>
	</pattern>
	<pattern id="textClass.Count">
		<rule context="tei:textClass[@type = 'workPurpose']">
			<report test="tei:keywords[count(tei:term) &gt; 2]" role="warn">Bitte prüfen: Bei Werkgruppe sind mehr als 2 Werte angegeben, ist das sinnvoll?</report>
		</rule>
		<rule context="tei:textClass[@type = 'creativePeriod']">
			<report test="tei:keywords[count(tei:term) &gt; 1]" role="warn">Bitte prüfen: Bei Schaffensphase ist mehr als 1 Wert angegeben, ist das sinnvoll?</report>
		</rule>
	</pattern>
	<pattern id="textClass.Content">
		<!--In Werkgruppe, Schaffensphase und ed. Gattungszuordnung sind nur feste Werte erlaubt (Werteliste + Message s.o.)-->
		<rule abstract="true" id="checkValues">
			<report test="not(string())">Bitte einen Wert für <value-of select="$messageFragment"/> auswählen.</report>
			<report test="string() and not(text() = $values)" role="error" diagnostics="mValues mEName">Falscher Wert in <value-of select="$messageFragment"/>.</report>
		</rule>
		<rule context="tei:textClass[@type = 'workPurpose']/tei:keywords/tei:term">
			<let name="values" value="$workPurposeContent"/>
			<let name="messageFragment" value="'Werkgruppe'"/>
			<extends rule="checkValues"/>
		</rule>
		<rule context="tei:textClass[@type = 'creativePeriod']/tei:keywords/tei:term">
			<let name="values" value="$creativePeriodContent"/>
			<let name="messageFragment" value="'Schaffensphase'"/>
			<extends rule="checkValues"/>
		</rule>
		<rule context="tei:textClass[@type = 'literaryGenre']/tei:keywords/tei:term">
			<let name="values" value="$literaryGenreContent"/>
			<let name="messageFragment" value="'ed. Gattungszuordnung'"/>
			<extends rule="checkValues"/>
		</rule>
	</pattern>
	<pattern id="copies.complete">
		<rule context="tei:note[@type = 'copies']/tei:list/tei:item">
			<report test="tei:repository[text()] and not(tei:idno[text()])">Signatur fehlt.</report>
			<report test="tei:idno[text()] and not(tei:repository[text()])">Institution fehlt.</report>
		</rule>
	</pattern>
	<pattern id="autograph">
		<rule abstract="true" id="checkAutographContent">
			<let name="values" value="$autographContent"/>
			<assert test="text() = $values" role="error" diagnostics="mValues mEName">Bitte einen Wert auswählen (oder auf Fehler prüfen).</assert>
		</rule>
		<rule context="tei:physDesc/tei:handDesc">
			<extends rule="checkAutographContent"/>
		</rule>
		<!--bei Copies nur warnen, wenn ein Exemplar angegeben (= Text vorhanden) ist-->
		<rule context="tei:msDesc//tei:note[@type = 'copies']/tei:list/tei:item[descendant::tei:*/text()]/tei:p">
			<extends rule="checkAutographContent"/>
		</rule>
	</pattern>
	<pattern id="metDecl">
		<rule context="tei:metDecl//tei:item">
			<!--Stufe 1: Gedichtzuordnung vom Editor fehlt-->
			<assert test="string(@corresp)">Bitte die Sprach-/Metrikangaben einer Gedichtnr. zuordnen.</assert>
			<!--Stufe 2: Format prüfen [a) vor QM = einfache Zahl, b) nach QM = #d1]-->
			<report test="matches(@corresp, '\D') and not(matches(@corresp, '#d\d'))">Fehler im Format der Gedichtzuordnung (erwartet: einfache Zahl oder "#d[Zahl]").</report>
		</rule>
	</pattern>
	<pattern id="neologismenText">
		<rule context="tei:div[@type = 'listNeologisms']/tei:list[text()]">
			<report test="matches(., '\d ')" role="error">Leerzeichen nach Zahl löschen [Komma setzen, außer beim letzten Eintrag].</report>
		</rule>
	</pattern>
	<pattern id="TEI.att.id">
		<rule context="tei:TEI">
			<assert test="string(@xml:id)" role="error">Datei-ID fehlt.</assert>
			<report test="matches(@xml:id, ' ')" role="error">In der Datei-ID keine Leerzeichen verwenden.</report>
			<report test="matches(@xml:id, '\.$')" role="error">In der Datei-ID am Ende keinen Punkt setzen.</report>
			<report test="@rendition = 'rhodomanologia_transcript' and not(tei:standOff)" role="error" diagnostics="mJB">'standOff' fehlt</report>
			<report test="@rendition = 'rhodomanologia_transcript' and tei:text/tei:back//tei:div[@type = 'bibliography' or @type = 'quoteTitle' or @type = 'index']" role="error" diagnostics="mJB">Veraltete Kodierung 'back/XInclude'</report>
		</rule>
	</pattern>
	<pattern id="note">
		<rule context="$QMTrans//tei:note[@type = 'crit' or @type = 'similia']">
			<let name="reg1" value="'^\d+$'"/>
			<let name="reg2" value="'^\d+sq\.$'"/>
			<let name="reg3" value="'^\d+‒\d+$'"/>
			<let name="reg4" value="'^\d+–\d+$'"/>
			<!--15 (20.22)-->
			<let name="reg5" value="'^\d+ \(((\.)?\d+)+\)'"/>
			<let name="id" value="substring-after(@corresp, '#')"/>
			<let name="correspDivNum" value="substring(@corresp, 1, 3)"/>
			<let name="parentDivNum" value="ancestor::tei:list/@corresp"/>
			<assert test="@n" role="error">@n in der Anmerkung fehlt.</assert>
			<assert test="matches(@n, $reg1) or matches(@n, $reg2) or matches(@n, $reg3) or matches(@n, $reg4) or matches(@n, $reg5)" role="warn" diagnostics="mJB">Bitte prüfen: Fehler im Nummernformat der Anm. Auch @corresp prüfen.</assert>
			<report test="matches(., '^\S*\]')" role="warn">Bitte prüfen: schließende Klammer am Anfang der Note gefunden.Wurde ein Lemma nicht korrekt kodiert?</report>
			<report test="matches(@corresp, '^#$') or matches(@corresp, '^$')" role="error">@corresp in der Anmerkung fehlt.</report>
			<assert test="
					every $corresp in tokenize(@corresp, ' ')
						satisfies exists(key('k-lineIDHash', $corresp))" diagnostics="mJB">Min. eine in @corresp referenzierte Vers-ID kann nicht gefunden werden.</assert>
			<report test="@type = 'similia' and matches(., ' nl\.') and not(/tei:TEI//tei:l[@xml:id = $id][descendant::tei:distinct])" role="warn">Neologismus ("nl.") genannt, aber im Vers ist kein Neologismus ausgezeichnet.</report>
			<assert test="$correspDivNum = $parentDivNum" role="error" diagnostics="mJB">Div-Nummer in @corresp (<value-of select="$correspDivNum"/>) entspricht nicht der Div-Nummer der übergeordn. Liste (<value-of select="$parentDivNum"/>)</assert>
		</rule>
		<rule context="$QMTrans//tei:note[@type = 'footnote']">
			<assert test="@n" role="error">@n in der Anmerkung fehlt.</assert>
			<assert test="@xml:id[matches(., '^n_d\d+e\d+$')]">Fehler im Format note/@xml:id (<value-of select="@xml:id"/>) [erwartet: "n_d000e000"]</assert>
			<assert test="@corresp[matches(., '^#a_d\d+e\d+$')]">Fehler im Format note/@corresp (<value-of select="@corresp"/>) [erwartet: "#a_d000e000"]</assert>
		</rule>
		<rule context="tei:note[@type = 'legalNotes']">
			<assert test="ancestor::tei:recording" role="error">note[legalNotes] nur innerhalb von recording erlaubt.</assert>
			<assert test="tei:note[@type = 'legalNotice']" diagnostics="mJB">In note[legalNotes] fehlt note[legalNotice].</assert>
			<assert test="tei:note[@type = 'rightsHolder']" diagnostics="mJB">In note[legalNotes] fehlt note[rightsHolder].</assert>
			<assert test="tei:date[@type = 'mediaCreated']" diagnostics="mJB">In note[legalNotes] fehlt date[mediaCreated].</assert>
		</rule>
		<rule context="tei:note[@type = 'rightsHolder']">
			<assert test="@subtype = 'private'" diagnostics="mJB">In note[rightsHolder] fehlt @subtype=private.</assert>
			<assert test="tei:persName[text()]">In note[rightsHolder] fehlt persName (oder persName ist leer).</assert>
		</rule>
	</pattern>
	<pattern id="additionalAnnotation">
		<rule context="$QMTrans//tei:note">
			<report test="@resp = '#additionalAnnotation' and not(descendant::text()[matches(., '(SW|TG)')])" role="warn" diagnostics="mJB">In Note ist @resp=additionalAnnotation kodiert, es kann aber kein "SW|TG" im Freitext gefunden werden.</report>
			<report test="descendant::text()[matches(., '(SW|TG)')] and not(@resp = '#additionalAnnotation')" role="warn" diagnostics="mJB">Im Note-Freitext steht "SW|TG", es ist aber (noch) kein @resp=additionalAnnotation kodiert.</report>
		</rule>
	</pattern>
	<pattern id="anchor">
		<rule context="$QMTrans//tei:anchor">
			<assert test="@xml:id[matches(., '^a_d\d+e\d+$')]">Fehler im Format anchor/@xml:id (<value-of select="@xml:id"/>) [erwartet: "a_d000e000"]</assert>
			<assert test="@corresp[matches(., '^#n_d\d+e\d+$')]">Fehler im Format anchor/@corresp (<value-of select="@corresp"/>) [erwartet: "#n_d000e000"]</assert>
		</rule>
	</pattern>
	<pattern id="seitenumbruch">
		<rule context="$PublTrans//tei:div[@type = 'segment'][@xml:id = 'd1']">
			<assert test="tei:*[1][self::tei:pb]" role="error">Erstes Gedicht muss mit einer Seitenzahl beginnen.</assert>
		</rule>
		<rule context="$PublTrans//tei:pb">
			<assert test="string(@n)" role="error">Seitenumbruch ist leer, bitte angeben.</assert>
		</rule>
	</pattern>
	<pattern id="text">
		<!--Auf w2t Transformationsfehler prüfen -->
		<rule context="tei:*/text()">
			<report test="matches(., '\{') or matches(., '\}')" role="warn" diagnostics="mJB">Bitte prüfen: geschweifte Klammer gefunden > wurde ein Seitenumbruch nicht korrekt kodiert?</report>
			<report test="matches(., '@')" role="warn" diagnostics="mJB">Bitte prüfen: @-Zeichen gefunden > wurde ein Seitenumbruch nicht korrekt kodiert?</report>
			<report test="matches(., '&gt;')" role="warn" diagnostics="mJB">Bitte prüfen: Spitzklammer gefunden > wurde ein supplied nicht korrekt kodiert?</report>
			<report test="matches(., '&lt;')" role="warn" diagnostics="mJB">Bitte prüfen: Spitzklammer gefunden > wurde ein supplied nicht korrekt kodiert?</report>
			<report test="matches(., '\S\(') and ancestor::tei:seg[not(@function)][@xml:lang[contains(., 'la') or contains(., 'grc')]]" role="warn" diagnostics="mJB">Bitte prüfen: runde Klammer im Wort gefunden > wurde ein expan nicht korrekt kodiert?</report>
			<report test="matches(., '\?') and ancestor::tei:teiHeader" role="warn">Bitte prüfen: Fragezeichen gefunden > muss hier noch etwas nachgetragen werden?</report>
			<report test="matches(., '[a-zα-ω]') and parent::tei:l" role="warn">Text direkt in l gefunden > wurde ein Sprach-Segment nicht korrekt kodiert?</report>
		</rule>
	</pattern>
	<pattern id="text2">
		<rule context="$PublTrans//tei:div[@type = 'transcript']//tei:seg[not(@type = 'translationOfMainText' or @type = 'translationOfMarginalia')]//tei:*/text()">
			<report test="matches(., '\[') or matches(., '\]')" role="warn">Bitte prüfen: eckige Klammer(n) gefunden > wurde ein surplus nicht korrekt kodiert?</report>
		</rule>
	</pattern>
	<pattern id="distinct">
		<rule context="$QMTrans//tei:body//tei:distinct">
			<assert test="tei:orig" role="error" diagnostics="mJB mEName">Im Neologismus fehlt das Element für die Originalschreibung.</assert>
			<assert test="tei:reg" role="error" diagnostics="mJB mEName">Im Neologismus fehlt das Element für die lemmatisierte Form.</assert>
			<assert test="string(tei:orig)" role="error" subject="tei:orig">Im Neologismus fehlt die Originalschreibung.</assert>
			<assert test="string(tei:reg)" role="error" subject="tei:reg">Im Neologismus fehlt die lemmatisierte Form.</assert>
			<assert test="count(tei:rs[@type = 'bibl']) eq 3" role="error">Im Neologismus werden genau 3 Literaturangaben erwartet.</assert>
			<report test="tei:orig/tei:rs" role="warn">Bitte prüfen: Indexauszeichnung in Neologismus gefunden - nur in seltenen Ausnahmefällen korrekt (z.B. Coc.Ion.)</report>
		</rule>
		<rule context="$PublTrans//tei:back//tei:distinct">
			<report test="tei:rs[@subtype = 'not-checked']" role="error">Neologismus wurde noch nicht in allen Lexika überprüft, aber die Flag "readyForPublicationTrans" ist bereits gesetzt.</report>
		</rule>
	</pattern>
	<pattern id="distinct.rs">
		<rule abstract="true" id="checkRs">
			<assert test="@ref = $refTypes" role="error">Lit.Ang. (<value-of select="@ref"/>) im Neologismus fehlerhaft (erlaubte Werte im <value-of select="$lang"/>: <value-of select="string-join($refTypes, ', ')"/>).</assert>
		</rule>
		<rule context="$PublTrans//tei:seg[@xml:lang = 'la']//tei:distinct/tei:rs">
			<let name="refTypes" value="('#hoven_2006', '#mlw_2019', '#tll_2009')"/>
			<let name="lang" value="'Lat.'"/>
			<extends rule="checkRs"/>
		</rule>
		<rule context="$PublTrans//tei:seg[@xml:lang = 'grc' or @xml:lang = 'grc-dor']//tei:distinct/tei:rs">
			<let name="refTypes" value="('#lsj_1996', '#lampe_1961', '#lbg_2017')"/>
			<let name="lang" value="'Gr.'"/>
			<extends rule="checkRs"/>
		</rule>
	</pattern>
	<pattern id="transl.marginalia">
		<rule context="tei:l/tei:seg[@type = 'translationOfMarginalia']">
			<report test="@subtype = 'all' and parent::tei:l/tei:seg[@type = 'translationOfMarginalia'][not(@subtype = 'all')]" role="error">Subtype prüfen (Übersetzung gilt für alle Marginalien): es darf nicht zusätzlich Übersetzungen für konkrete Marginalien geben.</report>
			<report test="@subtype = 'mainText' and not(parent::tei:l/tei:seg[@type = 'translationOfMarginalia'][@subtype = 'translationOfMainText'])" role="error">Es gibt eine eigene Übersetzung zur Haupttextmarginalie, aber keine für die Nicht-Haupttextmarginalie.</report>
			<report test="@subtype = 'translationOfMainText' and not(parent::tei:l/tei:seg[@type = 'translationOfMarginalia'][@subtype = 'mainText'])" role="error">Es gibt eine eigene Übersetzung zur Nicht-Haupttextmarginalie, aber keine für die Haupttextmarginalie.</report>
		</rule>
	</pattern>
	<pattern id="transcriptAndTranslation.exists">
		<rule context="tei:l">
			<report test="tei:seg[@type = 'translationOfMainText'] and not(tei:seg[@type = 'mainText'])" role="error" diagnostics="mJB">Es fehlt der Haupttext zur Übersetzung.</report>
			<report test="tei:seg[@type = 'mainText'] and not(tei:seg[@type = 'translationOfMainText'])" role="error" diagnostics="mJB">Es fehlt die dt. Übersetzung des Haupttextes.</report>
			<report test="tei:seg[@type = 'translationOfMarginalia'] and not(tei:seg[@type = 'marginalia'])" role="error" diagnostics="mJB">Es fehlt die Marginalie zur Übersetzung.</report>
			<report test="tei:seg[@type = 'marginalia'] and not(tei:seg[@type = 'translationOfMarginalia'])" role="error" diagnostics="mJB">Es fehlt die dt. Übersetzung der Marginalie.</report>
		</rule>
	</pattern>
	<pattern id="l.att.id">
		<rule abstract="true" id="checkID">
			<let name="regex" value="'d\d\.' || $expected || '\d\.v\d+'"/>
			<assert test="matches(., $regex)" role="error">Line-ID ("<value-of select="substring(., 4, 1)"/>" in <value-of select="."/>) passt nicht zum übergeordneten Element (<value-of select="parent::*/parent::*/name()"/>); erwartet: "<value-of select="$expected"/>"</assert>
		</rule>
		<rule context="tei:lg/tei:l/@xml:id">
			<let name="expected" value="'g'"/>
			<extends rule="checkID"/>
		</rule>
		<rule context="tei:ab/tei:l/@xml:id">
			<let name="expected" value="'a'"/>
			<extends rule="checkID"/>
		</rule>
		<rule context="tei:head/tei:l/@xml:id">
			<let name="expected" value="'h'"/>
			<extends rule="checkID"/>
		</rule>
		<rule context="tei:opener/tei:l/@xml:id">
			<let name="expected" value="'o'"/>
			<extends rule="checkID"/>
		</rule>
		<rule context="tei:closer/tei:l/@xml:id">
			<let name="expected" value="'c'"/>
			<extends rule="checkID"/>
		</rule>
	</pattern>
	<pattern id="structure.div.segment">
		<rule context="tei:div[@type = 'transcript']/tei:*">
			<report test="not(self::tei:div[@type = 'segment'])" role="error" diagnostics="mJB">In Transcript-Div wurde ein Element gefunden, das keine Segment-Div ist.</report>
		</rule>
	</pattern>
	<pattern id="structure.back.div">
		<rule context="tei:back">
			<assert test="tei:div[@type = 'footnotes']" role="error">Im back fehlt eine div (footnotes).</assert>
			<assert test="tei:div[@type = 'critNotes']" role="error">Im back fehlt eine div (critNotes).</assert>
			<assert test="tei:div[@type = 'similiaNotes']" role="error">Im back fehlt eine div (similiaNotes).</assert>
			<assert test="tei:div[@type = 'listSpondiaci']" role="error">Im back fehlt eine div (listSpondiaci).</assert>
			<assert test="tei:div[@type = 'listNeologisms']" role="error">Im back fehlt eine div (listNeologisms).</assert>
			<assert test="tei:div[@type = 'listIndexReferences']" role="error">Im back fehlt eine div (listIndexReferences).</assert>
			<assert test="tei:div[@type = 'listMonosyllaba']" role="error">Im back fehlt eine div (listMonosyllaba).</assert>
			<assert test="tei:div[@type = 'metadataMetrics']" role="error">Im back fehlt eine div (metadataMetrics).</assert>
		</rule>
	</pattern>
	<pattern id="structure.back.list">
		<rule context="tei:back/tei:div/tei:list">
			<assert test="string(@corresp)" role="error">In back/list fehlt @corresp zum zugehörigen Gedicht.</assert>
			<assert test="@corresp[matches(., '#d\d') or matches(., '#front')]" role="error">Fehler im Format des back/list/@corresp (Format: "#d1" oder "#front").</assert>
		</rule>
	</pattern>
	<pattern id="structure.back.hasList">
		<rule context="tei:back/tei:div[@type = 'critNotes' or @type = 'similiaNotes' or @type = 'footnotes'][tei:*]">
			<report test="tei:*[not(self::tei:list)]" role="error" diagnostics="mJB">In back/div sind möglicherweise notes ohne list kodiert.</report>
		</rule>
	</pattern>
	<pattern id="date.exists">
		<rule context="tei:msItem | tei:imprint | tei:additional">
			<assert test="tei:date[string(@when)]" role="error">Mindestens eine der drei Datumsangaben muss ausfgefüllt sein.</assert>
			<!--<assert test="tei:date[@type = 'objectCreated'][string(@when) or text()]" role="warn">Bitte prüfen: Entstehungsdatum des Objektes (Druckjahr o.Ä.) nicht angegeben.</assert>-->
			<!--<assert test="tei:date[@type = 'contentCreatedPresumed'][string(@when) or text()] or tei:date[@type = 'contentCreatedDocumented'][string(@when) or text()]" role="warn">Bitte prüfen: bei Entstehungsdatum Inhalt entweder "editorisch ermittelt" oder "im Original überliefert" ausfüllen (auch wenn identisch mit Objekt-Entstehungsdatum).</assert>-->
			<report test="tei:date[@type = 'contentCreatedPresumed'][string(@when) or text()] and tei:date[@type = 'contentCreatedDocumented'][string(@when) or text()]" role="warn">Bitte prüfen: Entstehungsdatum Inhalt sowohl "editorisch ermittelt" als auch "im Original überliefert" ausgefüllt, i.d.R. sollte nur ein Datum angegeben werden [Ausnahme: Editor vermutet Fehler im Originaldatum].</report>
		</rule>
	</pattern>
	<pattern id="date">
		<rule context="tei:msItem/tei:date[text()] | tei:imprint/tei:date[text()] | tei:additional/tei:date[text()]">
			<assert test="@when[matches(., '^\d{4}$')]" role="error">Technisches Jahr fehlt oder ist im falschen Format (erwartet: nur Jahreszahl).</assert>
		</rule>
		<rule context="tei:recording//tei:date">
			<assert test="@when[matches(., '^\d{4}-\d{2}-\d{2}$')]" role="error">Recording//date/@when im falschen Format (erwartet: 0000-00-00).</assert>
			<assert test="@type = 'mediaCreated'">In recording//date fehlt @type (oder falsch typisiert).</assert>
			<report test="text()">In recording//date kein Freitext erlaubt.</report>
		</rule>
	</pattern>
	<pattern id="seg">
		<rule context="tei:l/tei:seg[not(@function)]">
			<let name="lang" value="@xml:lang"/>
			<let name="type" value="@type"/>
			<!-- <seg>-Typ nur einmal pro l erlaubt (ausgenommen Marg.Übersetzungen, weil es davon mehrere geben darf)-->
			<report test="not(@type = 'translationOfMarginalia') and preceding-sibling::tei:seg[@xml:lang = $lang and @type = $type and not(@function)]" role="warn">Bitte prüfen: es gibt bereits ein Segment mit diesem Typ und dieser Sprache.</report>
			<report test="(@type = 'marginalia' or @type = 'translationOfMarginalia') and not(string(@subtype))" role="error">@subtype in Marginalie/Übers.Marg. fehlt/ist leer.</report>
			<report test="@type = 'marginalia' and @subtype = 'all'" role="error">@subtype bei Marginalie nur "mainText"/"translationOfMainText" ("all" nur bei bei Übers.Marg.).</report>
		</rule>
		<rule context="tei:l/tei:seg[@function]">
			<let name="lang" value="@xml:lang"/>
			<let name="type" value="@type"/>
			<!-- <seg>-Typ nur einmal pro l erlaubt (ausgenommen Marg.Übersetzungen, weil es davon mehrere geben darf)-->
			<report test="not(@type = 'translationOfMarginalia') and preceding-sibling::tei:seg[@xml:lang = $lang and @type = $type and @function]" role="warn">Bitte prüfen: es gibt bereits ein Segment mit diesem Typ und dieser Sprache.</report>
			<report test="(@type = 'marginalia' or @type = 'translationOfMarginalia') and not(string(@subtype))" role="error">@subtype in Marginalie/Übers.Marg. fehlt/ist leer.</report>
			<report test="@type = 'marginalia' and @subtype = 'all'" role="error">@subtype bei Marginalie nur "mainText"/"translationOfMainText" ("all" nur bei bei Übers.Marg.).</report>
		</rule>
	</pattern>
	<pattern id="seg.empty">
		<rule context="tei:l/tei:seg">
			<!--leere Seg als Error ausgeben, aber ab publTrans nur noch als Warnung (weil in seltenen Fällen u.U. korrekt)-->
			<report test="not(node()) and ancestor::tei:TEI[not(descendant::tei:change[@type = 'readyForPublicationTrans'])]" role="error" diagnostics="mJB">[vor publicationTrans] Segment ist leer.</report>
			<report test="not(node()) and ancestor::tei:TEI[descendant::tei:change[@type = 'readyForPublicationTrans']]" role="warn">[ab publicationTrans] Bitte prüfen: Segment ist leer.</report>
		</rule>
	</pattern>
	<pattern id="diplomatic">
		<!--nur anwenden, wenn irgendwo in der Datei @function gesetzt ist-->
		<rule context="tei:TEI[descendant::tei:seg[@function]]//tei:l/tei:seg[not(@xml:lang = 'de') and not(@function)]">
			<let name="lang" value="@xml:lang"/>
			<let name="type" value="@type"/>
			<assert test="parent::tei:l[tei:seg[@type = $type and @xml:lang = $lang and @function]]">Keine diplomatische Version zu diesem Segment gefunden.</assert>
		</rule>
		<rule context="tei:TEI[descendant::tei:seg[@function]]//tei:l/tei:seg[not(@xml:lang = 'de') and @function]">
			<let name="lang" value="@xml:lang"/>
			<let name="type" value="@type"/>
			<assert test="parent::tei:l[tei:seg[@type = $type and @xml:lang = $lang and not(@function)]]">Keine normalisierte Version zu diesem Segment gefunden.</assert>
		</rule>
	</pattern>
	<pattern id="seg2">
		<rule context="tei:seg[ancestor::tei:seg]">
			<let name="type" value="@type"/>
			<report test="ancestor::tei:seg[@type = $type]" role="warn">Es gibt eine übergeordnete seg mit demselben @type-Wert (<value-of select="$type"/>)</report>
		</rule>
	</pattern>
	<pattern id="seg-spondaic">
		<rule context="$QMTrans//tei:seg[@type = 'spondaic']">
			<report test="tei:seg" role="error" diagnostics="mJB">Spondiacus mehrfach geschachtelt.</report>
		</rule>
	</pattern>
	<pattern id="grcDor">
		<!--Prüfen, ob grc bzw. grc-dor einheitlich in metDecl, note und seg gesetzt wurden-->
		<rule context="$QMTrans//tei:list/tei:note">
			<let name="list.corresp" value="ancestor::tei:list/@corresp"/>
			<report test="@xml:lang = 'grc-dor' and not(ancestor::tei:TEI//tei:metDecl//tei:item[@corresp = $list.corresp][descendant::tei:textLang[@mainLang = 'grc-dor']])" role="warn" diagnostics="mJB">"grc-dor" in Crit.Note kodiert, aber in der metDecl ist die Sprachangabe "grc-dor" nicht gegeben.</report>
			<report test="@subtype = 'grc-dor' and not(ancestor::tei:TEI//tei:metDecl//tei:item[@corresp = $list.corresp][descendant::tei:textLang[@mainLang = 'grc-dor']])" role="warn" diagnostics="mJB">"grc-dor" in Sim.Note kodiert, aber in der metDecl ist die Sprachangabe "grc-dor" nicht gegeben.</report>
		</rule>
		<rule context="$QMTrans//tei:seg[@type = 'mainText' or @type = 'translationOfMainText' or @type = 'marginalia']">
			<let name="div.id" value="concat('#', ancestor::tei:div[@type = 'segment']/@xml:id)"/>
			<report test="@xml:lang = 'grc-dor' and not(ancestor::tei:TEI//tei:metDecl//tei:item[@corresp = $div.id][descendant::tei:textLang[@mainLang = 'grc-dor']])" role="warn" diagnostics="mJB">"grc-dor" in Segment kodiert, aber in der metDecl ist die Sprachangabe "grc-dor" nicht gegeben.</report>
			<report test="@xml:lang = 'grc' and ancestor::tei:TEI//tei:metDecl//tei:item[@corresp = $div.id][descendant::tei:textLang[@mainLang = 'grc-dor']]" role="warn" diagnostics="mJB">"grc" in Segment kodiert, aber in der metDecl ist die Sprachangabe "grc-dor" gegeben.</report>
		</rule>
	</pattern>
	<pattern id="seg.met.ana">
		<!--@MET:
Beispiele Hexameter: groß/klein:
- DDDDS-; DSDSDu
- dddds-; dsdsdu
Beispiele Pentameter: klein (vor QM): [mm= eigentlich Doppelminus, aber hier nicht darstellbar wegen Kommentar)]
- ddmm, dsmm, ds-u
Beispiele Pentameter nach QM:
- DD-DD-, DS-DD-, DS-DD-u
-->
		<!--@ANA: beliebig viele von:
#TH #PH #HH #BD #KTT #MZ
-->
		<!--Achtung: für @met und @ana auch Hotfix-Ausnahme "na"-->
		<let name="reg1" value="'^[D|S]{5}[-|u]$'"/>
		<let name="reg2" value="'^[D|S]{2}[-|u]DD[-|u]$'"/>
		<let name="reg3" value="'^[d|s]{5}[-|u]$'"/>
		<let name="reg4" value="'^[d|s]{2}-[-|u]$'"/>
		<let name="reg5" value="'^(#TH ?|#PH ?|#HH ?|#BD ?|#KTT ?|#MZ)+$'"/>
		<let name="reg6" value="'^(th,?|ph,?|hh,?|bd,?|ktt,?|mz)+$'"/>
		<!--A) @met (nach QM)-->
		<rule context="$PublTrans//tei:seg/@met[matches(., 'D|S') or matches(., 'na') or matches(., 'NA')]">
			<assert test="matches(., $reg1) or matches(., $reg2) or matches(., '^na$')" role="error">@met: Fehler im Metrikformat.</assert>
		</rule>
		<!--A) @met (vor QM)-->
		<rule context="$QMTrans//tei:seg/@met[matches(., 'd|s') or matches(., 'na')]">
			<assert test="matches(., $reg3) or matches(., $reg4) or matches(., '^na$')" role="error">@met: Fehler im Metrikformat.</assert>
			<!--<report test="matches(.,'na')" role="warn">@met: Bite prüfen - NA-Metrikformat absichtlich gesetzt?</report>-->
		</rule>
		<!--B) @ana (nach QM)-->
		<rule context="$PublTrans//tei:seg/@ana[matches(., 'na') or matches(., 'NA')]">
			<assert test="matches(., '^na$')" role="error">@ana: Fehler im NA-Zäsurformat (erlaubt nur "na", nicht mit anderen kombinierbar, nicht "NA").</assert>
		</rule>
		<rule context="$PublTrans//tei:seg/@ana[matches(., '[BDHKMPTZ]')]">
			<assert test="matches(., $reg5)" role="error">@ana: Fehler im Zäsurformat .</assert>
			<report test="matches(., '[BDHKMPTZ]#')" role="error">@ana: Zäsueren durch Spatium trennen.</report>
			<report test="contains(., 'PH') and contains(., 'KTT')">@ana: Fehler im Zäsurformat (PH und KTT dürfen nicht zusammen vorkommen).</report>
		</rule>
		<!--B) @ana (vor QM)-->
		<rule context="$QMTrans//tei:seg/@ana[matches(., 'na')]">
			<assert test="matches(., '^na$')" role="error">@ana: Fehler im NA-Zäsurformat (erlaubt nur "na", nicht mit anderen kombinierbar).</assert>
			<!--<report test="matches(., '^na$')" role="warn">@ana: Bitte prüfen - NA-Zäsurformat absichtlich gesetzt?</report>-->
		</rule>
		<rule context="$QMTrans//tei:seg/@ana[matches(., '[bdhkmptz]')]">
			<assert test="matches(., $reg6)" role="error">@ana: Fehler im Zäsurformat (erlaubt: "th,ph,hh,bd,ktt,mz"; mehrere durch Komma trennen ohne Spatium).</assert>
		</rule>
		<!--C) <seg> sicherstellen, dass nach QM @met+@ana angereichert-->
		<rule context="$PublTrans//tei:seg[string(@met) and string(@ana)][not(@ana = 'na' or @met = 'na')]">
			<report test="@met[matches(., 'D|S')] and @ana[matches(., 'bdhkmptz')]" diagnostics="mJB">Fehler nach QM (Kleinbuchstaben in @ana gefunden).</report>
			<report test="@met[matches(., 'd|s')] and @ana[matches(., '[BDHKMPTZ]')]" diagnostics="mJB">Fehler nach QM (Kleinbuchstaben in @met gefunden).</report>
		</rule>
	</pattern>
	<pattern id="seg.metComplete">
		<!--a) Metrik vorhanden, aber nicht in allen Versen vergeben-->
		<rule context="$PublTrans//tei:lg[descendant::tei:seg[@met]]//tei:seg[not(@function)][@type = 'mainText']">
			<assert test="string(@met)" role="warn">@met fehlt oder leer.</assert>
			<assert test="string(@ana)" role="warn">@ana fehlt oder leer.</assert>
		</rule>
		<!--b) gar keine Metrikauszeichnung vorhanden-->
		<rule context="$PublTrans//tei:lg">
			<report test="not(descendant::tei:seg[@met])" role="warn">Publikationsfreigabe (Trans) vergeben, aber keine Metrik ausgezeichnet.</report>
		</rule>
	</pattern>
	<pattern id="flagMissing">
		<rule context="tei:revisionDesc[ancestor::tei:TEI//tei:div[@type = 'transcript'][tei:*]]">
			<assert test="tei:change[@type = 'hasTranscript']" role="error" diagnostics="mJB">Transkriptionsflag fehlt.</assert>
		</rule>
		<rule context="tei:TEI[descendant::tei:quote[@type = 'similia'] or descendant::tei:ref[@subtype = 'similia']]">
			<assert test="descendant::tei:change[@type = 'hasSimilia']" role="error" diagnostics="mJB">QM-Similia-Flag fehlt.</assert>
		</rule>
	</pattern>
	<pattern id="change">
		<let name="fileIDLowerCase" value="translate(lower-case(/tei:TEI/@xml:id),'.','-')"/>
		<rule context="tei:change">
			<assert test="string(@when) and string(@who)" role="warn">In der Flag fehlen das Datum und/oder der/die Verantwortliche.</assert>
			<report test="@type = 'update' and not(string())" role="error">In der Flag "Änderungen" fehlt eine kurze Beschreibung der Änderungen.</report>
			<report test="string() and not(@type = 'update')" role="error">Freitext in der Flag nicht erlaubt.</report>
			<report test="@type = 'readyForQMTrans' and not(parent::tei:revisionDesc[tei:change[@type = 'hasTranscript']])" role="error" diagnostics="mJB">Vor der Flag "QM (Transkription)" muss die Flag "Basistranskription" gesetzt werden.</report>
			<report test="@type = 'hasSimilia' and not(parent::tei:revisionDesc[tei:change[@type = 'readyForQMTrans']])" role="error" diagnostics="mJB">Vor der Flag "Similien ausgezeichnet" muss die Flag "QM (Transkription)" gesetzt werden.</report>
			<report test="@type = 'readyForPublicationTrans' and not(parent::tei:revisionDesc[tei:change[@type = 'readyForQMTrans']])" role="error">Vor der Flag "Publikationsfreigabe (Transkription)" muss die Flag "QM (Transkription)" gesetzt werden.</report>
			<report test="@type = 'readyForPublicationTrans' and not(parent::tei:revisionDesc[tei:change[@type = 'readyForPublicationMeta']])" role="error">Vor der Flag "Publikationsfreigabe (Transkription)" muss die Flag "Publikationsfreigabe (Metadaten)" gesetzt werden.</report>
			<report test="@type = 'readyForPublicationMeta' and not(parent::tei:revisionDesc[tei:change[@type = 'readyForQMMeta']])" role="error">Vor der Flag "Publikationsfreigabe (Metadaten)" muss die Flag "QM (Metadaten)" gesetzt werden.</report>
			<report test="@type = 'readyForPublicationMeta' and not($importVarTempPublishedWerkeMeta/@select[contains(.,$fileIDLowerCase)])" role="error" diagnostics="mJB">Einheit noch nicht in variables.xsl $tempPublishedWerkeMeta aufgenommen (<value-of select="$fileIDLowerCase"/>)</report>
			<report test="@type = 'update' and not(parent::tei:revisionDesc[tei:change[@type = 'readyForPublicationMeta' or @type = 'readyForPublicationTrans']])" role="error">Vor der Flag "Änderungen" muss die Flag "Publikationsfreigabe" (für Metadaten oder Transkription) gesetzt werden.</report>
			<report test="@type = 'hasSimilia' and not(ancestor::tei:TEI[descendant::tei:quote[@type = 'similia'] or descendant::tei:ref[@subtype = 'similia']])" role="warn" diagnostics="mJB">Flag "Similien ausgezeichnet" ist gesetzt, es wurden aber keine Similienreferenzen oder Quotes gefunden.</report>
		</rule>
	</pattern>
	<pattern id="biblScope">
		<rule context="tei:biblScope">
			<assert test="string()" role="error">Bitte Seitenabschnitt(e) angeben oder "Ganzschrift" auswählen.</assert>
			<report test="matches(text(), '\-')" role="warn" sqf:fix="replaceMinus">Minus gefunden im Seitenabschnitt (sollte ein Bis-Strich sein) - QUICKFIX</report>
		</rule>
	</pattern>
	<pattern id="dimensions.format">
		<rule context="tei:dimensions/tei:*[string()]">
			<!--Achtung: deutscher Zahlwert mit Komma, aber xs:decimal erlaubt nur die internationale Version mit Punkt, deshalb in Variable packen und für die Prüfung internationalisieren (Komma durch Punkt ersetzen)-->
			<let name="number" value="replace(string(), ',', '.')"/>
			<assert test="$number castable as xs:decimal" role="error">Maße als reinen Dezimalwert angeben (ohne Einheit, Spatien etc.).</assert>
		</rule>
	</pattern>
	<pattern id="objectDesc.p.Fußnoten">
		<rule context="tei:objectDesc/tei:p/text()">
			<report test="matches(., '\d\)')" role="warn">Bitte prüfen: Zahl gefolgt von Klammer gefunden > Wurde eine Fußnotennummer aus DI mitkopiert?</report>
		</rule>
	</pattern>
	<pattern id="textsprungmarke">
		<rule context="tei:div[@type = 'contentMilestones']//tei:ptr/@target">
			<!--Editor: 1.h.123-->
			<let name="reg1" value="'^\d\.[ghoc]\.\d\d*$'"/>
			<!--nach QM: #d1.h1.v123-->
			<let name="reg2" value="'^#d\d\.[ghoc]\d\.v\d\d*$'"/>
			<assert test="matches(., $reg1) or matches(., $reg2)" role="error">Fehler im Format der Zielvers-ID ("0.[h|g|o|c].0").</assert>
		</rule>
	</pattern>
	<pattern id="desc">
		<rule context="tei:div[@type = 'contentMilestones']//tei:desc">
			<assert test="@type">In Beschreibung der Textsprungmarke fehlt @type.</assert>
			<assert test="string()" role="error">Beschreibung der Textsprungmarke darf nicht leer sein.</assert>
			<report test="starts-with(., ' ') or ends-with(., ' ')" role="error">Spatium gefunden am Anfang/Ende der Beschreibung der Textsprungmarke.</report>
		</rule>
		<rule context="tei:media/tei:desc">
			<report test="@type">In media/desc ist kein @type erlaubt.</report>
		</rule>
	</pattern>
	<pattern id="media">
		<rule context="tei:media">
			<assert test="matches(@xml:id, '^audio-\d$')">Fehler in media/@xml:id (Format: "audio-1","audio-2",...).</assert>
			<report test="matches(@url, '^\.mp3$')">Fehler in media/@url (Dateiname fehlt vor ".mp3").</report>
			<assert test="matches(@url, '\.mp3$')">Fehler in media/@url (nur Dateiendung ".mp3" erlaubt).</assert>
		</rule>
	</pattern>
	<pattern id="respStmt">
		<!--Prüft auf Kombination und Format von respStmt je nach Dateityp-->
		<let name="nContentIDs" value="('transcription', 'edition', 'annotation', 'transmission', 'introduction', 'additionalAnnotation', 'translation', 'similia', 'content', 'contentAutoGenerated')"/>
		<let name="nTechIDs" value="('markup', 'encoding', 'technicalRealisation', 'dataModel', 'dataAnalysis')"/>
		<let name="idsNurEinheit" value="('transcription', 'edition', 'annotation', 'transmission', 'introduction', 'additionalAnnotation', 'translation', 'similia', 'markup')"/>
		<let name="idsNurRegister" value="('content', 'contentAutoGenerated')"/>
		<let name="registerTEIids" value="('bibliography', 'about', 'werke', 'index', 'lists', 'fulltextIndex', 'quoteTitle')"/>
		<rule context="tei:respStmt">
			<report test="(@xml:id = 'edition' or @xml:id = 'additionalAnnotation' or @xml:id = 'encoding') and count(tei:persName) &gt; 1" role="error" diagnostics="mEName">Nicht mehr als ein Name (persName) erlaubt.</report>
			<report test="@xml:id = $nContentIDs and not(@n = 'content')" role="warn" diagnostics="mJB">Zu dieser @xml:id (<value-of select="@xml:id"/>) gehört @n=content</report>
			<report test="@xml:id = $nTechIDs and not(@n = 'tech')" role="warn" diagnostics="mJB">Zu dieser @xml:id (<value-of select="@xml:id"/>) gehört @n=content</report>
			<report test="not(/tei:TEI[@xml:id = $registerTEIids]) and @xml:id = $idsNurRegister" role="warn" diagnostics="mJB">@xml:id (<value-of select="@xml:id"/>) bei Einheiten nicht erlaubt (nur bei Registern).</report>
			<report test="/tei:TEI[@xml:id = $registerTEIids] and @xml:id = $idsNurEinheit" role="warn" diagnostics="mJB">@xml:id (<value-of select="@xml:id"/>) bei Registern nicht erlaubt (nur bei Einheiten).</report>
		</rule>
	</pattern>
	<pattern id="respStmt.persName">
		<rule context="$PublMeta//tei:respStmt[@xml:id = 'edition']/tei:persName[string()]">
			<!--bei editor darf Name oder "s. ed." stehen, sonst nur Name-->
			<let name="values" value="$respNames"/>
			<assert test="text() = $values or text() = 's. ed.'" role="warn" diagnostics="mValues mEName">Fehler in Namensangabe der Verantwortlichen [editor].</assert>
		</rule>
		<rule context="$PublMeta//tei:respStmt[not(@xml:id = 'edition')]/tei:persName">
			<let name="values" value="$respNames"/>
			<report test="string(.) and not(text() = $values)" role="warn" diagnostics="mValues mEName">Fehler in Namensangabe der Verantwortlichen.</report>
		</rule>
	</pattern>
	<pattern id="respStmtExistMeta">
		<!--Prüft, dass pro Dateityp die notwendigen respStmts (mit Personenname) vergeben sind (Meta und Trans getrennt)-->
		<!--Achtung: in Meta gelistete sind verpflichtend; in Trans gelistete sind entweder verpflichtend oder müssen, falls vorhanden, einen Namen enthalten-->
		<rule context="$PublMeta//tei:titleStmt">
			<assert test="tei:respStmt[@xml:id = 'edition'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [edition].</assert>
			<assert test="tei:respStmt[@xml:id = 'encoding'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [encoding].</assert>
			<assert test="tei:respStmt[@xml:id = 'markup'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [markup].</assert>
			<assert test="tei:respStmt[@xml:id = 'dataModel'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [dataModel].</assert>
			<assert test="tei:respStmt[@xml:id = 'technicalRealisation'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [technicalRealisation].</assert>
			<assert test="tei:respStmt[@xml:id = 'transmission'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [transmission].</assert>
			<assert test="tei:respStmt[@xml:id = 'introduction'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [introduction].</assert>
		</rule>
	</pattern>
	<pattern id="respStmtExistTrans">
		<rule context="$PublTrans//tei:titleStmt">
			<assert test="tei:respStmt[@xml:id = 'transcription'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [transcription].</assert>
			<assert test="tei:respStmt[@xml:id = 'annotation'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [annotation].</assert>
			<assert test="tei:respStmt[@xml:id = 'translation'][tei:persName[string()]]" role="error">Verantwortlichkeit fehlt [translation].</assert>
			<report test="tei:respStmt[@xml:id = 'additionalAnnotation'][not(tei:persName[string()])]" role="error">Verantwortlichkeit fehlt [additionalAnnotation].</report>
			<report test="tei:respStmt[@xml:id = 'similia'][not(tei:persName[string()])]" role="error">Verantwortlichkeit fehlt [similia].</report>
		</rule>
	</pattern>
	<pattern id="respStmt.note">
		<rule context="$PublTrans//tei:respStmt[@xml:id = 'additionalAnnotation']">
			<assert test="/tei:TEI//tei:note[@resp = '#additionalAnnotation']" role="error" diagnostics="mJB">respStmt additionalAnnotation kodiert, aber keine Note mit entsprechendem @resp versehen.</assert>
		</rule>
		<rule context="$PublTrans//tei:note[@resp = '#additionalAnnotation']">
			<assert test="/tei:TEI//tei:respStmt[@xml:id = 'additionalAnnotation']" role="error" diagnostics="mJB">Anm. mit @resp=#additionalAnnotation kodiert, aber kein entsprechendes respStmt im Header.</assert>
		</rule>
	</pattern>
	<pattern id="respStmt.note2">
		<rule context="$PublTrans//tei:note[@resp = '#additionalAnnotation'][contains(., 'SW')]">
			<assert test="/tei:TEI//tei:respStmt[@xml:id = 'additionalAnnotation']/tei:persName[contains(., 'Stefan Weise')]" role="warn" diagnostics="mJB">In note ist SW festgehalten, aber es fehlt respStmt "Stefan Weise".</assert>
		</rule>
		<rule context="$PublTrans//tei:note[@resp = '#additionalAnnotation'][contains(., 'TG')]">
			<assert test="/tei:TEI//tei:respStmt[@xml:id = 'additionalAnnotation']/tei:persName[contains(., 'Thomas Gärtner')]" role="warn" diagnostics="mJB">In note ist TG festgehalten, aber es fehlt respStmt "Thomas Gärtner".</assert>
		</rule>
	</pattern>
	<pattern id="rs.index">
		<rule context="tei:rs[@type = 'index']">
			<!--TODO: hi[bold] zu semantischem Tag wandeln für Initiale, dann im RNG erlauben und hi wieder rausnehmen-->
			<report test="tei:*[not(self::tei:expan)]" role="warn">Bitte prüfen: innerhalb von Indexreferenzen sind keine weiteren Auszeichnungen erlaubt (Neologismus, Spondiacus, Kursivierung etc. drum herum auszeichnen) [einzige bisher bekannte Ausnahme: fett wg. Initiale].</report>
			<!--Freitext an einigen Stellen verboten-->
			<!--analytic/author
			imprint/pubPlace
			imprint/publisher
			item/pubPlace
			note[@type='relatedPersons']
			note[@type='relatedPlaces']
			correspAction
			back//item-->
			<report test="text() and parent::tei:*[self::tei:author[parent::tei:analytic] or self::tei:pubPlace or self::tei:publisher or self::tei:note[@type = 'relatedPersons' or @type = 'relatedPlaces'] or self::tei:correspAction or self::tei:item[ancestor::tei:back]]" role="warn">Bitte prüfen: bei Indexreferenzen an dieser Stelle keinen Freitext eingeben, nur ID-Referenz.</report>
			<!--Freitext an einigen Stellen verplichtend-->
			<!--monogr/author
			msItem/author
			history/provenance
			object//additional/author
			front//rs
			seg/rs [Achtung, gibt selten auch seg/hi/rs]-->
			<report test="string(@ref) and not(text()) and (parent::tei:*[self::tei:author[parent::tei:monogr or parent::tei:msItem or parent::tei:additional] or self::tei:provenance] or ancestor::tei:*[self::tei:seg or self::tei:front])" role="warn">Bitte prüfen: bei Indexreferenzen an dieser Stelle auch Freitext eingeben (Originalschreibweise).</report>
		</rule>
	</pattern>
	<pattern id="rs.index2">
		<!--In Metadaten: immer Index-Referenzen auf Korrektheit prüfen-->
		<rule context="tei:*[self::tei:teiHeader or self::tei:front]//tei:rs[@type = 'index']">
			<report test="text() and not(string(@ref))" role="error">[Metadaten] Index-ID fehlt.</report>
		</rule>
		<!--In Transkription: erst nach QM-Flag auf Korrektheit prüfen-->
		<rule context="$QMTrans//tei:*[self::tei:body or self::tei:back]//tei:rs[@type = 'index']">
			<report test="text() and not(string(@ref))" role="error">Index-ID fehlt.</report>
		</rule>
	</pattern>
	<pattern id="rsEntryExistsMeta">
		<!--Getrennt prüfen für Metadaten (teiHeader/front) und Transkription (body/back) (müssen in Transkription noch nicht stimmen, falls nur Metafreigabe, dort dann aber schon)-->
		<rule context="$PublMeta//tei:*[self::tei:teiHeader or self::tei:front]//tei:rs[@type = 'bibl']">
			<let name="id" value="substring-after(@ref, '#')"/>
			<assert test="exists(/tei:TEI//tei:bibl[@xml:id = $id])">[Metadaten] In rs referenzierte ID (<value-of select="@ref"/>) ist in der Bibliographie nicht vergeben (oder # fehlt).</assert>
		</rule>
		<rule context="$PublMeta//tei:*[self::tei:teiHeader or self::tei:front]//tei:rs[@type = 'index'][string() or string(@ref)]">
			<let name="id" value="substring-after(@ref, '#')"/>
			<assert test="exists(/tei:TEI//tei:item[@xml:id = $id])">[Metadaten] In rs referenzierte ID (<value-of select="@ref"/>) ist im Index nicht vergeben (oder # fehlt).</assert>
		</rule>
	</pattern>
	<pattern id="rsEntryExistsTrans">
		<rule context="$PublTrans//tei:*[self::tei:body or self::tei:back]//tei:rs[@type = 'bibl']">
			<let name="id" value="substring-after(@ref, '#')"/>
			<assert test="exists(/tei:TEI//tei:bibl[@xml:id = $id])">[Transkript] In rs referenzierte ID (<value-of select="@ref"/>) ist in der Bibliographie nicht vergeben (oder # fehlt).</assert>
		</rule>
		<rule context="$PublTrans//tei:*[self::tei:body or self::tei:back]//tei:rs[@type = 'index'][string() or string(@ref)]">
			<let name="id" value="substring-after(@ref, '#')"/>
			<assert test="exists(/tei:TEI//tei:item[@xml:id = $id])">[Transkript] In rs referenzierte ID (<value-of select="@ref"/>) ist im Index nicht vergeben (oder # fehlt).</assert>
		</rule>
	</pattern>
	<pattern id="linkformat">
		<!--Getrennt prüfen Metadaten (immer) und Transkription (erst nach PublTrans)-->
		<rule context="tei:*[self::tei:teiHeader or self::tei:front]//tei:ref">
			<report test="not(@subtype = 'similia') and not(@target)" role="error">[Metadaten] Bei allen ref (außer @subtype='similia') ist @target verpflichtend.</report>
		</rule>
		<rule context="$PublTrans//tei:ref">
			<report test="not(@subtype = 'similia') and not(@target)" role="error">Bei allen ref (außer @subtype='similia') ist @target verpflichtend.</report>
		</rule>
	</pattern>
	<pattern id="linkformat2">
		<rule context="tei:ptr | tei:ref">
			<report test="@target[ends-with(., '.')]" role="error">Fehler im Linkformat (Punkt am Ende gefunden).</report>
			<report test="@target[contains(., ' ')]" role="error">Fehler im Linkformat (Leerzeichen gefunden).</report>
		</rule>
	</pattern>
	<pattern id="ref">
		<rule abstract="true" id="correspNotAllowed">
			<report test="@corresp and not(@subtype = 'similia')" role="error" diagnostics="mJB">@corresp nur bei @subtype=similia erlaubt.</report>
		</rule>
		<rule abstract="true" id="missingCorrespToQuote">
			<report test="@subtype = 'similia' and ancestor::tei:note[tei:lem[@type = 'similiaOverlap']] and not(@corresp)" role="warn" diagnostics="mJB">ref[similia] fehlt @corresp zu zugehörigen quotes (evtl. ignorieren wegen lem[type="similiaOverlap]).</report>
			<report test="@subtype = 'similia' and ancestor::tei:note[tei:lem[not(@type = 'similiaOverlap')]] and not(@corresp)" role="warn" diagnostics="mJB">ref[similia] fehlt @corresp zu zugehörigen quotes.</report>
		</rule>
		<rule abstract="true" id="fellowRefDifferentCorresp">
			<let name="corresp" value="@corresp"/>
			<report test="parent::tei:note[tei:ref[@corresp and (@corresp != $corresp)]]" role="warn" diagnostics="mJB">alle ref[similia] innerhalb der Note sollten denselben @corresp-Wert haben.</report>
		</rule>
		<rule abstract="true" id="flagRefToCurrentFile">
			<let name="targetFileName" value="substring-before(@target, '.xml')"/>
			<let name="currentFileName" value="substring-before(tokenize(document-uri(/), '/')[last()], '.xml')"/>
			<report test="$targetFileName = $currentFileName" role="warn" diagnostics="mJB">Ziel befindet sich in derselben Datei -> in @target nur Fragment angeben, nicht die vollständige Ziel-XML.</report>
		</rule>
		<rule abstract="true" id="targetFileExists">
			<let name="targetFile" value="concat(substring-before(@target, '.xml'), '.xml')"/>
			<!--wenn ein target mit einer XML beginnt (nicht mit #), dann prüfen, dass die genannte XML-Datei existiert. Da ein failed document() test die Validierung abbricht, muss der Umweg über eine explizite Liste gegangen werden-->
			<report test="not(matches(@target, '^#')) and not($targetFile = $xmlFileNames)" role="error" diagnostics="mJB">In @target referenzierte XML-Datei (<value-of select="$targetFile"/>) unbekannt.</report>
		</rule>
		<rule abstract="true" id="kurztitelExists">
			<!--Sicherstellen, dass Wert aus sameAs in KT-Liste vergeben ist, weil sonst für das Ref kein Text ausgegeben wird-->
			<let name="kurztitel" value="//tei:div[@xml:id = 'div_quoteTitle']"/>
			<let name="sameAs" value="substring-after(@sameAs, '#')"/>
			<assert test="$kurztitel//tei:item[@xml:id = $sameAs]" role="error" diagnostics="mJB">Kurztitel aus @sameAs (<value-of select="$sameAs"/>) in KT-Liste nicht gefunden.</assert>
		</rule>
		<rule context="tei:ref[@type = 'internal']">
			<report test="matches(., '\-')" role="error" sqf:fix="replaceMinus">Minus gefunden in Versangabe (statt Bis-Strich) - QUICKFIX [Achtung: muss auch in Word korrigiert werden]</report>
			<!--nur in notes mit <lem> prüfen, weil es auch Autorenstellen zum ges. Vers ohne Lem gibt-->
			<extends rule="missingCorrespToQuote"/>
			<extends rule="correspNotAllowed"/>
			<extends rule="fellowRefDifferentCorresp"/>
			<extends rule="flagRefToCurrentFile"/>
			<extends rule="targetFileExists"/>
			<extends rule="kurztitelExists"/>
		</rule>
		<rule context="tei:ref[@type = 'external']">
			<report test="(ancestor::tei:publicationStmt/tei:publisher or ancestor::tei:encodingDesc/tei:projectDesc/tei:p) and not(matches(., '^RHODOMANOLOGIA – Kritische Edition der griechischen und lateinischen Dichtungen von Lorenz Rhodoman$'))" role="error" diagnostics="mJB">Fehler im Editionstitel [publicationStmt oder encodingDesc].</report>
			<extends rule="missingCorrespToQuote"/>
			<extends rule="correspNotAllowed"/>
			<extends rule="fellowRefDifferentCorresp"/>
		</rule>
		<rule context="tei:ref[not(@*)]">
			<!--Manuell von SW gesetzte temporäre ref werden (erst) im QM-Trans-Skript kodiert -> deshalb warnen, falls diese in Metadaten (im Zusammenhang mit readyForPublicationMeta) auftreten -> dann muss ausnahmsweise manuell kodiert werden-->
			<report test="ancestor::tei:*[self::tei:front or self::tei:teiHeader] and ancestor::tei:TEI[descendant::tei:change[@type = 'readyForPublicationMeta']]" role="error" diagnostics="mJB">Ref muss ausnahmsweise manuell kodiert werden, da Metadaten frei zur Publikation, aber autom. Auszeichnung erst bei QMTrans.</report>
		</rule>
	</pattern>
	<pattern id="pubPlace">
		<rule context="tei:pubPlace">
			<report test="ancestor::tei:publicationStmt and not(matches(., '^Wuppertal / Osnabrück$'))" role="error" diagnostics="mJB">Fehler im Publikationsort.</report>
		</rule>
	</pattern>
	<pattern id="hi">
		<rule context="tei:hi">
			<report test="tei:hi and not(ancestor::tei:div[@type = 'quoteTitle'] or ancestor::tei:list[contains(@xml:id, 'similia')])" role="error" diagnostics="mJB">Hi in Hi nicht erlaubt (außer in Kurztitelliste und Lists).</report>
			<!--Freitext-Referenzen auf Rhod.Einheiten finden. Achtung, folgende ausschließen: ref (= Similien) und item (= per XInclude eingezogene Kurztitelliste)-->
			<report test="$PublTrans and matches(., $rhodTitles) and not(ancestor::tei:ref or ancestor::tei:item)" role="warn" diagnostics="mJB">Potentielle unkodierte Rhodomanreferenz gefunden (<value-of select="."/>).</report>
		</rule>
	</pattern>
	<pattern id="mixedLang">
		<rule context="tei:TEI[@rendition = 'rhodomanologia_transcript']//tei:seg[not(@function)]//text()">
			<report test="ancestor::tei:seg[@xml:lang = 'la'] and not(parent::tei:foreign[contains(@xml:lang, 'grc')]) and matches(., '[α-ωΑ-Ω]')" role="warn">Sprachmix: Gr. Text in lat. Segment gefunden -> foreign auszeichnen?</report>
			<report test="ancestor::tei:seg[contains(@xml:lang, 'grc')] and not(parent::tei:foreign[@xml:lang = 'la']) and matches(., '[a-zA-Z]')" role="warn">Sprachmix: Lat. Text in gr. Segment gefunden -> foreign auszeichnen? Oder Sind M/K lat. Buchstaben? [@JB: cutout in SCH]</report>
		</rule>
		<!--Suchen & Ersetzen:-->
		<!--	
		//seg[@xml:lang='grc']/text() 
		case sensitive!
		lat. Zeichen: M
		gr. Zeichen: Μ
		
		lat. K
		gr. Κ
		
		lat. N
		gr. Ν-->
	</pattern>
	<pattern id="provenanceRs">
		<rule context="tei:provenance//tei:rs">
			<report test="contains(., 'laut') or contains(., '(') or contains(., ')')" role="warn">Indexreferenz mit Erklärung vermischt? ("laut" oder Klammern innerhalb der Indexreferenz gefunden) -> Erklärung in "desc" auslagern</report>
		</rule>
	</pattern>
	<pattern id="provenanceDesc">
		<rule context="tei:provenance//tei:desc">
			<report test="string(.) and not(contains(., '(') or contains(., ')'))" role="warn">Erklärung zur Indexreferenz steht üblicherweise in Klammern.</report>
		</rule>
	</pattern>
	<pattern id="unclear">
		<rule context="tei:unclear">
			<assert test="matches(., '^[a-zA-Zα-ωΑ-Ω\.\s…]+$')" role="warn" diagnostics="mJB">Unerlaubtes Zeichen in "unclear" (nur Buchstaben, Punkte, Spatien erlaubt) [Achtung: meldet auch Akzente -> ignorieren].</assert>
		</rule>
	</pattern>
	<pattern id="unclear.missing">
		<rule context="$PublTrans//tei:l/tei:seg/text()">
			<report test="matches(., '\.{2}')" role="warn" diagnostics="mJB">Zwei oder mehr Satzpunkte gefunden -> wurde unclear nicht kodiert?</report>
			<report test="matches(., '…')" role="warn" diagnostics="mJB">Drei-Punkte-Zeichen gefunden -> wurde unclear nicht kodiert?</report>
		</rule>
	</pattern>
	<!--Sonstige Textprüfungen-->
	<pattern id="supplied">
		<rule context="$PublTrans//tei:supplied">
			<report test="matches(., '\.\.+|…')" role="warn" diagnostics="mJB">(Auslassungs)Punkte in supplied gefunden -> ist eigentlich unclear gemeint?</report>
		</rule>
	</pattern>
	<pattern id="seg.milestone">
		<!--Noch nicht ganz sauber, eigentlich müssten noch die @n-Werte verglichen werden und sichergestellt sein, dass es Milestones im lat. UND gr. gibt (sofern vorhanden) -> in 2. Phase verfeinern-->
		<rule context="tei:seg[@xml:lang[contains(., 'grc')]][tei:milestone]">
			<let name="n" value="tei:milestone/@n"/>
			<assert test="parent::tei:l[tei:seg[@xml:lang = 'de'][tei:milestone]]" role="error">Zum gr. Milestone ("<value-of select="$n"/>") kein Äquivalent im dt. Text gefunden</assert>
		</rule>
		<rule context="tei:seg[@xml:lang[contains(., 'la')]][tei:milestone]">
			<let name="n" value="tei:milestone/@n"/>
			<assert test="parent::tei:l[tei:seg[@xml:lang = 'de'][tei:milestone]]" role="error">Zum lat. Milestone ("<value-of select="$n"/>") kein Äquivalent im dt. Text gefunden</assert>
		</rule>
		<rule context="tei:seg[@xml:lang = 'de'][tei:milestone]">
			<let name="n" value="tei:milestone/@n"/>
			<assert test="parent::tei:l[tei:seg[@xml:lang[contains(., 'grc') or contains(., 'la')]][tei:milestone]]" role="error">Zum Milestone ("<value-of select="$n"/>") kein Äquivalent im grc./lat. Text gefunden</assert>
		</rule>
	</pattern>
	<pattern id="milestone">
		<rule context="tei:milestone">
			<report test="following-sibling::node()[1][self::text() and matches(., '^\s')]" role="warn">Kein Spatium nach Milestone setzen.</report>
			<assert test="ancestor::tei:ab" role="error">Milestone nur in 'ab' (Prosa) erlaubt (nicht in Gedicht, Head etc.).</assert>
		</rule>
	</pattern>
	<pattern id="lb">
		<rule context="tei:lb">
			<assert test="ancestor::tei:p" role="error">lb nur in 'p' erlaubt.</assert>
		</rule>
	</pattern>
	<!--..........................................-->
	<!--Spezielle Regeln für die Register-->
	<!--..........................................-->
	<pattern id="bibl.att.id">
		<rule context="tei:bibl">
			<report test="contains(@xml:id, '/')" role="error">Mehrere Autoren in der ID durch "_" trennen, nicht durch "/".</report>
			<report test="matches(@xml:id, '[äöüß\(\)]')" role="error">In der ID keine Umlaute, Klammern etc. verwenden.</report>
		</rule>
	</pattern>
	<pattern id="expan">
		<rule context="tei:TEI[@xml:id = 'bibliography']//tei:expan">
			<assert test="ends-with(., '.')" role="warn">Bitte prüfen: Vollständige Bibl. Angabe mit Punkt beenden.</assert>
			<report test="tei:*" role="error">In vollst. Bibl.Ang. (expan) nur Text erlaubt.</report>
		</rule>
	</pattern>
	<pattern id="abbr">
		<rule context="tei:abbr">
			<report test="ancestor::tei:TEI[@xml:id = 'bibliography'] and not(tei:name and tei:date)" role="error">In abbr in Bibliographie müssen name und date gegeben sein.</report>
			<report test="ancestor::tei:TEI[@xml:id = 'lists'] and not(@n)" role="error">In abbr in Lists muss @n gegeben sein.</report>
			<report test="ancestor::tei:TEI[@xml:id = 'lists'] and not(string(@n))" role="error">@n ist leer (abbr in Lists).</report>
			<report test="@n and not(ancestor::tei:TEI[@xml:id = 'lists'])" role="error">@n nur bei abbr in Lists erlaubt.</report>
		</rule>
	</pattern>
	<pattern id="gnd">
		<rule context="tei:seg[@type = 'gnd'][text()]">
			<assert test="matches(., '^[0-9A-Z-]*$')" role="error">Fehler im GND-Format (nur Zahlen, Buchstaben oder Trennstrich verwenden; keine Leerzeichen, Fragezeichen etc.).</assert>
		</rule>
	</pattern>
	<pattern id="itemRegister">
		<rule context="tei:item">
			<let name="id" value="@xml:id"/>
			<!--<report test="not(ancestor::tei:seg[@type = 'references'] or ancestor::tei:TEI[@xml:id = 'lists'] or ancestor::tei:TEI[@xml:id = 'quoteInternal'] or ancestor::tei:div[@type = 'listIndexReferences']) and not(string(@type) and string(@subtype))" role="error">Type oder Subtype fehlen in item.</report>-->
			<report test="matches(@xml:id, '[äöüß\(\)]')" role="error">In der ID keine Umlaute, Klammern etc. verwenden.</report>
			<report test="@type = 'person' and @subtype = 'none'" role="error">Bei Personen den @subtype präzise angeben, "none (NA)" ist nicht erlaubt.</report>
			<report test="(@type = 'place' or @type = 'subject') and not(@subtype = 'none')" role="error">Bei Geographica/Sachverhalt nur @subtype=none ("NA") erlaubt.</report>
			<report test="count(/tei:TEI//tei:item[@xml:id = $id]) &gt; 1" role="error">ID (<value-of select="$id"/>) mehrmals vergeben.</report>
		</rule>
	</pattern>
	<pattern id="segRegister">
		<rule context="tei:seg[@type = 'label'][not(ancestor::tei:seg[@type = 'references'])]">
			<assert test="string()">Label darf nicht leer sein.</assert>
		</rule>
		<rule context="tei:seg[@type = 'label'][ancestor::tei:seg[@type = 'references']]">
			<assert test="string(@sameAs)">Kurztitel fehlt.</assert>
		</rule>
		<rule context="tei:seg[@type = 'desc']">
			<report test="matches(text(), '\-\d')" role="warn" sqf:fix="replaceMinus">Minus gefunden zwischen Zahlen, z.B. Lebensdaten (sollte ein Bis-Strich sein) - QUICKFIX</report>
		</rule>
	</pattern>
	<pattern id="num">
		<rule context="tei:num">
			<assert test="string()">Num darf nicht leer sein.</assert>
		</rule>
	</pattern>
	<pattern id="ptr">
		<rule context="tei:ptr">
			<report test="not(ancestor::tei:TEI[@xml:id = 'lists']) and (string() or tei:*)" role="error">Ptr muss immer leer sein (außer in Lists).</report>
			<report test="ancestor::tei:TEI[@xml:id = 'lists'] and tei:*[not(self::tei:quote)]" role="error">In ptr in Lists nur quote erlaubt.</report>
			<report test="not(ancestor::tei:list[@xml:id = 'sources']) and @type = 'external'" role="error">Bei ptr nur @type='verse' erlaubt (nicht 'external'; außer in list[sources]).</report>
			<report test="ancestor::tei:list[@xml:id = 'sources'] and not(@type = 'external')" role="error">Bei ptr innerhalb von list[sources] nur @type='external' erlaubt (nicht 'verse').</report>
			<report test="@n and not(ancestor::tei:TEI[@xml:id = 'fulltextIndex'])" role="error">Ptr/@n nur im Vollwortindex erlaubt.</report>
			<report test="@n = ''" role="error">Ptr/@n leer.</report>
		</rule>
	</pattern>
	<!--Register ENDE-->
	<!--..........................................-->
	<!--Spezielle Regeln für Similienanmerkungen nach automatisierte Auszeichnung der Autorenstellen-->
	<!--..........................................-->
	<!--dupliziert(!) aus scripts/SimiliaNote/similia.sch -->
	<pattern id="refSeg">
		<rule context="tei:note[@type = 'similia']/tei:ref[@type = 'external'][@subtype = 'similia']">
			<assert test="tei:seg[@type = 'simQualifier']" role="error" diagnostics="mJB">seg[simQualifier] fehlt</assert>
			<assert test="tei:seg[@type = 'simNumber']" role="error" diagnostics="mJB">seg[simNumber] fehlt</assert>
			<assert test="(tei:seg[@type = 'simAuthor'] and tei:seg[@type = 'simTitle']) or tei:seg[@type = 'simAuthorSingle'] or tei:seg[@type = 'simTitleSingle']" role="error" diagnostics="mJB">einer von seg[author|title|Single] fehlt/ist zu viel</assert>
			<report test="tei:seg[@type = 'simAuthorSingle' or @type = 'simTitleSingle'] and tei:seg[@type = 'simAuth' or @type = 'simTitle']" role="error" diagnostics="mJB">title|auth gleichzeitig mit titleSingle|authSingle gefunden.</report>
			<report test="tei:seg[@type = 'simNumber' and not(preceding-sibling::tei:seg[text()]) and matches(., '^ ')] and preceding-sibling::node()[1][matches(., ';$')]" role="warn" diagnostics="mJB">seg[simNumber] beginnt mit Spatium, vorangehende seg sind leer, und dem ref vorangehend ist kein Spatium. workbench/jennifer/cleanupWhitespaceBetweenRefSim.xsl anwenden. </report>
		</rule>
	</pattern>
	<pattern id="noteRhod">
		<rule context="tei:note[@type = 'similia']/tei:ref[@subtype = 'similia']//text()">
			<report test="matches(., 'Rhod')" diagnostics="mJB">"Rhod." gefunden</report>
		</rule>
	</pattern>
	<pattern id="segN">
		<rule context="$PublTrans//tei:note[@type = 'similia']/tei:ref[@subtype = 'similia']">
			<report test="tei:seg[@type = 'simQualifier']/@n[not(string(.))]">Bitte Qualifier auswählen.</report>
			<report test="tei:seg[not(@type = 'simQualifier')]/@n[not(string(.))]" diagnostics="mJB">Leeres @n</report>
		</rule>
	</pattern>
	<pattern id="simNumberAllowedCharacters">
		<rule context="tei:seg[@type = 'simNumber'][matches(@n, '\d+[a-z]')]">
			<report test="matches(@n, '[^a-z–\d,sq\.PGα-ω\s+_]') and not(preceding-sibling::tei:seg[@type = 'simTitle'][@n = 'Mor.'])" role="warn" diagnostics="mJB">Unerlaubtes Zeichen gefunden in seg[@type='simNumber'].</report>
		</rule>
		<rule context="tei:seg[@type = 'simNumber'][not(matches(@n, '\d+[a-z]') or matches(@n, 'undefined'))]">
			<report test="matches(@n, '[^–\d,sq\.PGα-ω\s+_]') and not(preceding-sibling::tei:seg[@type = 'simTitle'][@n = 'Mor.'])" role="warn" diagnostics="mJB">Unerlaubtes Zeichen gefunden in seg[@type='simNumber'].</report>
		</rule>
	</pattern>
	<pattern id="segNExists">
		<rule context="tei:ref[@subtype = 'similia']/tei:seg">
			<assert test="@n" role="error">In ref[simila] fehlt @n.</assert>
		</rule>
	</pattern>
	<pattern id="simQualifierValues">
		<rule context="tei:seg[@type = 'simQualifier'][string(@n)]">
			<let name="values" value="$simQualifier"/>
			<assert test="@n = $values" role="error" diagnostics="mJB">Unerlaubter Wert im Qualifier.</assert>
		</rule>
	</pattern>
	<pattern id="refRhodQualifier">
		<rule context="tei:note[@type = 'similia']/tei:ref[@type = 'internal']">
			<assert test="tei:seg[@type = 'simQualifier']" role="error" diagnostics="mJB">In Rhodomanreferenz fehlt Element für den Qualifier.</assert>
			<report test="tei:seg[@type = 'simQualifier']/text()" role="error" diagnostics="mJB">Qualifier n Rhodomanreferenz immer leer lassen (nur @n angeben).</report>
			<assert test="@subtype = 'similia'" role="error">In Rhodomanreferenz fehlt @subtype='similia'.</assert>
		</rule>
	</pattern>
	<pattern id="simSegText">
		<!--Falls Editor nachträglich Änderungen im Text vornimmt, sicherstellen, dass auch die Attributwerte entsprechend geändert werden-->
		<!--Achtung: Zahlen nicht prüfbar-->
		<rule context="tei:note[@type = 'similia']/tei:ref[@type = 'external']/tei:seg[@type = 'simTitle' or @type = 'simTitleSingle'][tei:hi][string()]">
			<let name="att" value="@n"/>
			<let name="text" value="normalize-space(string-join(descendant::text(), ''))"/>
			<!--descendant-text verwenden für Titel, weil es mixed content geben kann, z.B. "2 <hi>Sam.</hi>"-->
			<assert test="$att = $text" role="warn" diagnostics="mJB">Attributwert (<value-of select="$att"/>) und Textinhalt (<value-of select="$text"/>) (in hi) stimmen möglicherweise nicht überein.</assert>
		</rule>
		<rule context="tei:note[@type = 'similia']/tei:ref[@type = 'external']/tei:seg[@type = 'simAuthor' or @type = 'simAuthorSingle' or @type = 'simTitle' or @type = 'simTitleSingle'][string()]">
			<let name="att" value="@n"/>
			<let name="text" value="normalize-space(.)"/>
			<assert test="$att = $text" role="warn" diagnostics="mJB">Attributwert (<value-of select="$att"/>) und Textinhalt (<value-of select="$text"/>) stimmen möglicherweise nicht überein.</assert>
		</rule>
		<rule context="tei:note[@type = 'similia']/tei:ref[@type = 'external']/tei:seg[@type = 'simQualifier'][@n = 'de_re_cf' or @n = 'cf'][string()]">
			<let name="att" value="concat(replace(@n, '_', ' '), '.')"/>
			<let name="text" value="normalize-space(.)"/>
			<assert test="$att = $text" role="warn" diagnostics="mJB">Attributwert (<value-of select="$att"/>) und Textinhalt (<value-of select="$text"/>) (in Qualifier [de re cf./cf.]) stimmen möglicherweise nicht überein.</assert>
		</rule>
		<rule context="tei:note[@type = 'similia']/tei:ref[@type = 'external']/tei:seg[@type = 'simQualifier'][@n = 'sim'][string()]">
			<let name="att" value="replace(@n, 'sim', '~')"/>
			<let name="text" value="normalize-space(.)"/>
			<assert test="$att = $text" role="warn" diagnostics="mJB">Attributwert (<value-of select="$att"/>) und Textinhalt (<value-of select="$text"/>) (in Qualifier [sim]) stimmen möglicherweise nicht überein.</assert>
		</rule>
		<rule context="tei:note[@type = 'similia']/tei:ref[@type = 'external']/tei:seg[@type = 'simQualifier'][@n = 'eq'][string()]">
			<let name="att" value="replace(@n, 'eq', '=')"/>
			<let name="text" value="normalize-space(.)"/>
			<assert test="$att = $text" role="warn" diagnostics="mJB">Attributwert (<value-of select="$att"/>) und Textinhalt (<value-of select="$text"/>) (in Qualifier [eq]) stimmen möglicherweise nicht überein.</assert>
		</rule>
	</pattern>
	<pattern id="simCert">
		<rule context="tei:*[@cert[not(matches(@cert, 'low'))]]">
			<report test="@cert" role="error" diagnostics="mEName mJB">Fehlermeldung "<value-of select="@cert"/>" gefunden.</report>
		</rule>
	</pattern>
	<pattern id="simQuoteMissing">
		<rule context="$QMTrans//tei:note[@type = 'similia'][not(matches(., ' nl\.'))][tei:lem and tei:ref]">
			<!--vmtl. doppelt, weil das schon über @cert reinkommt, aber zur Sicherheit, falls das nicht geklappt hat-->
			<!--Achtung: potentiell unsauber bei mehreren IDs in @corresp-->
			<!--QMTrans-Flag-Einschränkung, damit Warnung erst kommt, wenn Einheit bereit ist für QM (eigentlich erst NACH 1. QM, aber das geht nicht)-->
			<!--Neologismen-Notes rausnehmen, weil die zwar lem haben, aber keine Auszeichnung im Haupttext brauchen ("nl.")-->
			<!--notes mit lem aber ohne ref auch rausnehmen (ist selten, aber kommt vor)-->
			<let name="corresp" value="tokenize(substring-after(@corresp, '#'))[1]"/>
			<assert test="/tei:TEI//tei:l[@xml:id = $corresp][descendant::tei:quote]" role="warn" diagnostics="mJB">[nach QM] lem kodiert in Similienanm., aber kein quote in zugehörigem Vers.</assert>
		</rule>
	</pattern>
	<pattern id="simQuoteMissingSibling">
		<rule abstract="true" id="quoteMissingSibling">
			<let name="id" value="substring-before(@xml:id, '.')"/>
			<!--(nur generische ID, ohne Versnummer, weil die unterschiedlich sein kann)-->
			<assert test="exists(/tei:TEI//tei:quote[@subtype = $typeSibling][substring-before(@xml:id, '.') = $id])" role="error" diagnostics="mJB">Zu quote[subtype='<value-of select="$typeCurrent"/>'] kein quote[subtype='<value-of select="$typeSibling"/>'] mit gleicher ID gefunden.</assert>
		</rule>
		<rule context="tei:quote[@subtype = 'fragmentedEnd']">
			<let name="typeCurrent" value="'fragmentedEnd'"/>
			<let name="typeSibling" value="'fragmentedStart'"/>
			<extends rule="quoteMissingSibling"/>
		</rule>
		<rule context="tei:quote[@subtype = 'fragmentedStart']">
			<let name="typeCurrent" value="'fragmentedStart'"/>
			<let name="typeSibling" value="'fragmentedEnd'"/>
			<extends rule="quoteMissingSibling"/>
		</rule>
		<rule context="tei:quote[@subtype = 'rangeStart']">
			<let name="typeCurrent" value="'rangeStart'"/>
			<let name="typeSibling" value="'rangeEnd'"/>
			<extends rule="quoteMissingSibling"/>
		</rule>
		<rule context="tei:quote[@subtype = 'rangeEnd']">
			<let name="typeCurrent" value="'rangeEnd'"/>
			<let name="typeSibling" value="'rangeStart'"/>
			<extends rule="quoteMissingSibling"/>
		</rule>
		<!--Middle nicht nötig, weil wenn entweder der zugehörige Start oder End fehlt, wird das über die vorherigen Tests bereits ermittelt-->
	</pattern>
	<pattern id="simNextPrevExists">
		<rule abstract="true" id="nextPrevExists">
			<let name="self" value="name()"/>
			<let name="id" value="substring-after(., '#')"/>
			<assert test="/tei:TEI//tei:quote[@xml:id = $id]" role="error" diagnostics="mJB">Ziel-ID aus @<value-of select="$self"/> (<value-of select="$id"/>) nicht gefunden.</assert>
		</rule>
		<rule context="tei:quote/@next">
			<extends rule="nextPrevExists"/>
		</rule>
		<rule context="tei:quote/@prev">
			<extends rule="nextPrevExists"/>
		</rule>
	</pattern>
	<pattern id="simNextPrevIDFormat">
		<rule abstract="true" id="attFormat">
			<let name="selfName" value="name()"/>
			<let name="selfVal" value="."/>
			<assert test="$selfVal[matches(., '#?q_d\d+e\d+\.\d+-[sme]')]" role="error" diagnostics="mJB">Fehler im quote/@<value-of select="$selfName"/>-Format (<value-of select="$selfVal"/>).</assert>
		</rule>
		<rule context="tei:quote[not(@subtype = 'complete')]/@xml:id">
			<extends rule="attFormat"/>
		</rule>
		<rule context="tei:quote/@next">
			<extends rule="attFormat"/>
		</rule>
		<rule context="tei:quote/@prev">
			<extends rule="attFormat"/>
		</rule>
	</pattern>
	<pattern id="quote">
		<rule context="tei:quote">
			<report test="@subtype[contains(., 'range') or contains(., 'fragmented')] and not(@next or @prev)" role="error" diagnostics="mJB">Bei quote[range/fragmented] muss min. einer von @next/@prev stehen.</report>
			<report test="not(ancestor::tei:TEI[@xml:id = 'lists']) and not(@type and @xml:id and @subtype)">Bei quote müssen immer @type, @xml:id und @subtype gegeben sein (außer in Lists).</report>
			<report test="ancestor::tei:TEI[@xml:id = 'lists'] and tei:*">Bei quote in Lists ist nur Text erlaubt.</report>
		</rule>
	</pattern>
	<pattern id="simQuoteComplete">
		<rule context="tei:quote[@subtype = 'complete']">
			<report test="@next" role="error">@next bei quote[complete] nicht erlaubt.</report>
			<report test="@prev" role="error">@prev bei quote[complete] nicht erlaubt.</report>
			<assert test="matches(@xml:id, '^q_[a-z0-9]+$')" role="error">Fehler im Format der @xml:id bei quote[complete] (keine Verszahl und/oder -s/-e erlaubt)</assert>
		</rule>
	</pattern>
	<pattern id="refQuoteCorrespExists">
		<rule context="tei:ref[@subtype = 'similia']">
			<assert test="
					every $corresp in tokenize(@corresp, ' ')
						satisfies exists(key('k-quoteIDHash', $corresp))" role="error" diagnostics="mJB">Min. eine in @corresp referenzierte Quote-ID kann nicht gefunden werden.</assert>
		</rule>
		<rule context="tei:quote[@type = 'similia']">
			<let name="idHash" value="'#' || @xml:id"/>
			<assert test="/tei:TEI//tei:ref[@subtype = 'similia'][contains(@corresp, $idHash)]" role="warn" diagnostics="mJB">quote/@xml:id in keinem ref/@corresp referenziert.</assert>
		</rule>
	</pattern>
	<pattern id="fileAutorenstellenAbgleich-N">
		<rule context="tei:ref[@type = 'external'][@subtype = 'similia'][tei:seg[@type = 'simAuthorSingle']]">
			<let name="n" value="tei:seg[@type = 'simAuthorSingle']/@n"/>
			<assert test="$listAuthorSingle/tei:item/tei:seg[@type = 'simAuthorSingle'][@n = $n]" role="error" diagnostics="mJB">Wert in simAuthorSingle/@n (<value-of select="$n"/>) kann in Referenzliste nicht gefunden werden.</assert>
		</rule>
		<rule context="tei:ref[@type = 'external'][@subtype = 'similia'][tei:seg[@type = 'simTitleSingle']]">
			<let name="n" value="tei:seg[@type = 'simTitleSingle']/@n"/>
			<assert test="$listTitleSingle/tei:item/tei:seg[@type = 'simTitleSingle'][@n = $n]" role="error" diagnostics="mJB">Wert in simTitleSingle/@n (<value-of select="$n"/>) kann in Referenzliste nicht gefunden werden.</assert>
		</rule>
		<rule context="tei:ref[@type = 'external'][@subtype = 'similia'][tei:seg[@type = 'simAuthor'] and tei:seg[@type = 'simTitle']]">
			<let name="nAuthor" value="tei:seg[@type = 'simAuthor']/@n"/>
			<let name="nTitle" value="tei:seg[@type = 'simTitle']/@n"/>
			<assert test="$listAuthorTitle/tei:item[tei:seg[@type = 'simAuthor'][@n = $nAuthor] and tei:seg[@type = 'simTitle'][@n = $nTitle]]" role="error" diagnostics="mJB">Wert in simAuthor|simTitle/@n kann in Referenzliste nicht in dieser Kombination gefunden werden (<value-of select="$nAuthor"/> + <value-of select="$nTitle"/>).</assert>
		</rule>
	</pattern>
	<pattern id="fileAutorenstellenAbgleich-Hi">
		<!--Erstmal generell abgehandelt; Falls es berechtigte Ausnahmen gibt, Abgleich mit uebersichtAutorenstellen.xml, dort kann dezidiert dokumentiert werden, welche Fälle Kursivierung erlauben und welche nicht-->
		<rule context="tei:ref[@type = 'external'][@subtype = 'similia']/tei:seg[@type = 'simTitle'][descendant::text()]">
			<assert test="tei:hi[@rend = 'italic']" role="error" diagnostics="mJB">Titel in Similie sollte kursiviert stehen (simTitle).</assert>
		</rule>
		<rule context="tei:ref[@type = 'external'][@subtype = 'similia']/tei:seg[@type = 'simTitleSingle'][descendant::text()]">
			<assert test="tei:hi[@rend = 'italic']" role="error" diagnostics="mJB">Titel in Similie sollte kursiviert stehen (simTitleSingle).</assert>
		</rule>
		<rule context="tei:ref[@type = 'external'][@subtype = 'similia']/tei:seg[@type = 'simAuthorSingle'][descendant::text()]">
			<report test="tei:hi[@rend = 'italic']" role="error" diagnostics="mJB">Autor in Similie sollte nicht kursiviert stehen (simAuthorSingle).</report>
		</rule>
		<rule context="tei:ref[@type = 'external'][@subtype = 'similia']/tei:seg[@type = 'simAuthor'][descendant::text()]">
			<report test="tei:hi[@rend = 'italic']" role="error" diagnostics="mJB">Autor in Similie sollte nicht kursiviert stehen (simAuthor).</report>
		</rule>
	</pattern>
	<!-- Similienanmerkungen ENDE -->
</schema>
